UART Generate Write Functions

This set of functions will generate command strings for writing to VectorNav sensor registers. More...

## Functions

VnError | VnUartPacket_genWriteBinaryOutput1 (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint16_t asyncMode, uint16_t rateDivisor, uint16_t commonField, uint16_t timeField, uint16_t imuField, uint16_t gpsField, uint16_t attitudeField, uint16_t insField)
| Generates a command to write to the Binary Output 1 register. More...
VnError | VnUartPacket_genWriteBinaryOutput2 (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint16_t asyncMode, uint16_t rateDivisor, uint16_t commonField, uint16_t timeField, uint16_t imuField, uint16_t gpsField, uint16_t attitudeField, uint16_t insField)
| Generates a command to write to the Binary Output 2 register. More...
VnError | VnUartPacket_genWriteBinaryOutput3 (uint8_t *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint16_t asyncMode, uint16_t rateDivisor, uint16_t commonField, uint16_t timeField, uint16_t imuField, uint16_t gpsField, uint16_t attitudeField, uint16_t insField)
| Generates a command to write to the Binary Output 3 register. More...
VnError | VnUartPacket_genWriteUserTag (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, char *tag)
| Generates a command to write to the User Tag register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteSerialBaudRate (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint32_t baudrate)
| Generates a command to write to the Serial Baud Rate register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteSerialBaudRateWithOptions (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint32_t baudrate)
| Generates a command to write to the Serial Baud Rate register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteAsyncDataOutputType (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint32_t ador)
| Generates a command to write to the Async Data Output Type register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteAsyncDataOutputTypeWithOptions (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint32_t ador)
| Generates a command to write to the Async Data Output Type register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteAsyncDataOutputFrequency (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint32_t adof)
| Generates a command to write to the Async Data Output Frequency register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteAsyncDataOutputFrequencyWithOptions (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint32_t adof)
| Generates a command to write to the Async Data Output Frequency register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteMagneticAndGravityReferenceVectors (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, vec3f magRef, vec3f accRef)
| Generates a command to write to the Magnetic and Gravity Reference Vectors register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteMagnetometerCompensation (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, mat3f c, vec3f b)
| Generates a command to write to the Magnetometer Compensation register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteAccelerationCompensation (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, mat3f c, vec3f b)
| Generates a command to write to the Acceleration Compensation register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteReferenceFrameRotation (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, mat3f c)
| Generates a command to write to the Reference Frame Rotation register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteCommunicationProtocolControl (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint8_t serialCount, uint8_t serialStatus, uint8_t spiCount, uint8_t spiStatus, uint8_t serialChecksum, uint8_t spiChecksum, uint8_t errorMode)
| Generates a command to write to the Communication Protocol Control register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteSynchronizationControl (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint8_t syncInMode, uint8_t syncInEdge, uint16_t syncInSkipFactor, uint32_t reserved1, uint8_t syncOutMode, uint8_t syncOutPolarity, uint16_t syncOutSkipFactor, uint32_t syncOutPulseWidth, uint32_t reserved2)
| Generates a command to write to the Synchronization Control register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteSynchronizationStatus (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint32_t syncInCount, uint32_t syncInTime, uint32_t syncOutCount)
| Generates a command to write to the Synchronization Status register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteVpeBasicControl (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint8_t enable, uint8_t headingMode, uint8_t filteringMode, uint8_t tuningMode)
| Generates a command to write to the VPE Basic Control register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteVpeMagnetometerBasicTuning (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, vec3f baseTuning, vec3f adaptiveTuning, vec3f adaptiveFiltering)
| Generates a command to write to the VPE Magnetometer Basic Tuning register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteVpeAccelerometerBasicTuning (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, vec3f baseTuning, vec3f adaptiveTuning, vec3f adaptiveFiltering)
| Generates a command to write to the VPE Accelerometer Basic Tuning register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteMagnetometerCalibrationControl (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint8_t hsiMode, uint8_t hsiOutput, uint8_t convergeRate)
| Generates a command to write to the Magnetometer Calibration Control register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteVelocityCompensationMeasurement (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, vec3f velocity)
| Generates a command to write to the Velocity Compensation Measurement register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteVelocityCompensationControl (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint8_t mode, float velocityTuning, float rateTuning)
| Generates a command to write to the Velocity Compensation Control register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteGpsConfiguration (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint8_t mode, uint8_t ppsSource, uint8_t reserved1, uint8_t reserved2, uint8_t reserved3)
| Generates a command to write to the GPS Configuration register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteGpsAntennaOffset (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, vec3f position)
| Generates a command to write to the GPS Antenna Offset register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteInsBasicConfiguration (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint8_t scenario, uint8_t ahrsAiding, uint8_t estBaseline, uint8_t resv2)
| Generates a command to write to the INS Basic Configuration register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteStartupFilterBiasEstimate (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, vec3f gyroBias, vec3f accelBias, float pressureBias)
| Generates a command to write to the Startup Filter Bias Estimate register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteDeltaThetaAndDeltaVelocityConfiguration (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint8_t integrationFrame, uint8_t gyroCompensation, uint8_t accelCompensation, uint8_t reserved1, uint16_t reserved2)
| Generates a command to write to the Delta Theta and Delta Velocity Configuration register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteReferenceVectorConfiguration (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint8_t useMagModel, uint8_t useGravityModel, uint8_t resv1, uint8_t resv2, uint32_t recalcThreshold, float year, vec3d position)
| Generates a command to write to the Reference Vector Configuration register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteGyroCompensation (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, mat3f c, vec3f b)
| Generates a command to write to the Gyro Compensation register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteImuFilteringConfiguration (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, uint16_t magWindowSize, uint16_t accelWindowSize, uint16_t gyroWindowSize, uint16_t tempWindowSize, uint16_t presWindowSize, uint8_t magFilterMode, uint8_t accelFilterMode, uint8_t gyroFilterMode, uint8_t tempFilterMode, uint8_t presFilterMode)
| Generates a command to write to the IMU Filtering Configuration register on a VectorNav sensor. More...
VnError | VnUartPacket_genWriteGpsCompassBaseline (char *buffer, size_t bufferSize, VnErrorDetectionMode errorDetectionMode, size_t *cmdSize, vec3f position, vec3f uncertainty)
| Generates a command to write to the GPS Compass Baseline register on a VectorNav sensor. More...
void | VnUartPacket_parseError (VnUartPacket *packet, uint8_t *error)
| Parses an error packet to get the error type. More...
void | VnUartPacket_parseErrorRaw (uint8_t *packet, uint8_t *error)
| Parses an error packet to get the error type. More...
void | VnUartPacket_parseBinaryOutput (VnUartPacket *packet, uint16_t *asyncMode, uint16_t *rateDivisor, uint16_t *outputGroup, uint16_t *commonField, uint16_t *timeField, uint16_t *imuField, uint16_t *gpsField, uint16_t *attitudeField, uint16_t *insField)
| Parses a response from reading any of the Binary Output registers. More...
void | VnUartPacket_parseBinaryOutputRaw (uint8_t *packet, uint16_t *asyncMode, uint16_t *rateDivisor, uint16_t *outputGroup, uint16_t *commonField, uint16_t *timeField, uint16_t *imuField, uint16_t *gpsField, uint16_t *attitudeField, uint16_t *insField)
| Parses a response from reading any of the Binary Output registers. More...
void | VnUartPacket_parseUserTag (VnUartPacket *packet, char *tag)
| Parses a response from reading the User Tag register. More...
void | VnUartPacket_parseUserTagRaw (char *packet, char *tag)
| Parses a response from reading the User Tag register. More...
void | VnUartPacket_parseModelNumber (VnUartPacket *packet, char *productName)
| Parses a response from reading the Model Number register. More...
void | VnUartPacket_parseModelNumberRaw (char *packet, char *productName)
| Parses a response from reading the Model Number register. More...
void | VnUartPacket_parseHardwareRevision (VnUartPacket *packet, uint32_t *revision)
| Parses a response from reading the Hardware Revision register. More...
void | VnUartPacket_parseHardwareRevisionRaw (char *packet, uint32_t *revision)
| Parses a response from reading the Hardware Revision register. More...
void | VnUartPacket_parseSerialNumber (VnUartPacket *packet, uint32_t *serialNum)
| Parses a response from reading the Serial Number register. More...
void | VnUartPacket_parseSerialNumberRaw (char *packet, uint32_t *serialNum)
| Parses a response from reading the Serial Number register. More...
void | VnUartPacket_parseFirmwareVersion (VnUartPacket *packet, char *firmwareVersion)
| Parses a response from reading the Firmware Version register. More...
void | VnUartPacket_parseFirmwareVersionRaw (char *packet, char *firmwareVersion)
| Parses a response from reading the Firmware Version register. More...
void | VnUartPacket_parseSerialBaudRate (VnUartPacket *packet, uint32_t *baudrate)
| Parses a response from reading the Serial Baud Rate register. More...
void | VnUartPacket_parseSerialBaudRateRaw (char *packet, uint32_t *baudrate)
| Parses a response from reading the Serial Baud Rate register. More...
void | VnUartPacket_parseAsyncDataOutputType (VnUartPacket *packet, uint32_t *ador)
| Parses a response from reading the Async Data Output Type register. More...
void | VnUartPacket_parseAsyncDataOutputTypeRaw (char *packet, uint32_t *ador)
| Parses a response from reading the Async Data Output Type register. More...
void | VnUartPacket_parseAsyncDataOutputFrequency (VnUartPacket *packet, uint32_t *adof)
| Parses a response from reading the Async Data Output Frequency register. More...
void | VnUartPacket_parseAsyncDataOutputFrequencyRaw (char *packet, uint32_t *adof)
| Parses a response from reading the Async Data Output Frequency register. More...
void | VnUartPacket_parseYawPitchRoll (VnUartPacket *packet, vec3f *yawPitchRoll)
| Parses a response from reading the Yaw Pitch Roll register. More...
void | VnUartPacket_parseYawPitchRollRaw (char *packet, vec3f *yawPitchRoll)
| Parses a response from reading the Yaw Pitch Roll register. More...
void | VnUartPacket_parseAttitudeQuaternion (VnUartPacket *packet, vec4f *quat)
| Parses a response from reading the Attitude Quaternion register. More...
void | VnUartPacket_parseAttitudeQuaternionRaw (char *packet, vec4f *quat)
| Parses a response from reading the Attitude Quaternion register. More...
void | VnUartPacket_parseQuaternionMagneticAccelerationAndAngularRates (VnUartPacket *packet, vec4f *quat, vec3f *mag, vec3f *accel, vec3f *gyro)
| Parses a response from reading the Quaternion, Magnetic, Acceleration and Angular Rates register. More...
void | VnUartPacket_parseQuaternionMagneticAccelerationAndAngularRatesRaw (char *packet, vec4f *quat, vec3f *mag, vec3f *accel, vec3f *gyro)
| Parses a response from reading the Quaternion, Magnetic, Acceleration and Angular Rates register. More...
void | VnUartPacket_parseMagneticMeasurements (VnUartPacket *packet, vec3f *mag)
| Parses a response from reading the Magnetic Measurements register. More...
void | VnUartPacket_parseMagneticMeasurementsRaw (char *packet, vec3f *mag)
| Parses a response from reading the Magnetic Measurements register. More...
void | VnUartPacket_parseAccelerationMeasurements (VnUartPacket *packet, vec3f *accel)
| Parses a response from reading the Acceleration Measurements register. More...
void | VnUartPacket_parseAccelerationMeasurementsRaw (char *packet, vec3f *accel)
| Parses a response from reading the Acceleration Measurements register. More...
void | VnUartPacket_parseAngularRateMeasurements (VnUartPacket *packet, vec3f *gyro)
| Parses a response from reading the Angular Rate Measurements register. More...
void | VnUartPacket_parseAngularRateMeasurementsRaw (char *packet, vec3f *gyro)
| Parses a response from reading the Angular Rate Measurements register. More...
void | VnUartPacket_parseMagneticAccelerationAndAngularRates (VnUartPacket *packet, vec3f *mag, vec3f *accel, vec3f *gyro)
| Parses a response from reading the Magnetic, Acceleration and Angular Rates register. More...
void | VnUartPacket_parseMagneticAccelerationAndAngularRatesRaw (char *packet, vec3f *mag, vec3f *accel, vec3f *gyro)
| Parses a response from reading the Magnetic, Acceleration and Angular Rates register. More...
void | VnUartPacket_parseMagneticAndGravityReferenceVectors (VnUartPacket *packet, vec3f *magRef, vec3f *accRef)
| Parses a response from reading the Magnetic and Gravity Reference Vectors register. More...
void | VnUartPacket_parseMagneticAndGravityReferenceVectorsRaw (char *packet, vec3f *magRef, vec3f *accRef)
| Parses a response from reading the Magnetic and Gravity Reference Vectors register. More...
void | VnUartPacket_parseFilterMeasurementsVarianceParameters (VnUartPacket *packet, float *angularWalkVariance, vec3f *angularRateVariance, vec3f *magneticVariance, vec3f *accelerationVariance)
| Parses a response from reading the Filter Measurements Variance Parameters register. More...
void | VnUartPacket_parseFilterMeasurementsVarianceParametersRaw (char *packet, float *angularWalkVariance, vec3f *angularRateVariance, vec3f *magneticVariance, vec3f *accelerationVariance)
| Parses a response from reading the Filter Measurements Variance Parameters register. More...
void | VnUartPacket_parseMagnetometerCompensation (VnUartPacket *packet, mat3f *c, vec3f *b)
| Parses a response from reading the Magnetometer Compensation register. More...
void | VnUartPacket_parseMagnetometerCompensationRaw (char *packet, mat3f *c, vec3f *b)
| Parses a response from reading the Magnetometer Compensation register. More...
void | VnUartPacket_parseFilterActiveTuningParameters (VnUartPacket *packet, float *magneticDisturbanceGain, float *accelerationDisturbanceGain, float *magneticDisturbanceMemory, float *accelerationDisturbanceMemory)
| Parses a response from reading the Filter Active Tuning Parameters register. More...
void | VnUartPacket_parseFilterActiveTuningParametersRaw (char *packet, float *magneticDisturbanceGain, float *accelerationDisturbanceGain, float *magneticDisturbanceMemory, float *accelerationDisturbanceMemory)
| Parses a response from reading the Filter Active Tuning Parameters register. More...
void | VnUartPacket_parseAccelerationCompensation (VnUartPacket *packet, mat3f *c, vec3f *b)
| Parses a response from reading the Acceleration Compensation register. More...
void | VnUartPacket_parseAccelerationCompensationRaw (char *packet, mat3f *c, vec3f *b)
| Parses a response from reading the Acceleration Compensation register. More...
void | VnUartPacket_parseReferenceFrameRotation (VnUartPacket *packet, mat3f *c)
| Parses a response from reading the Reference Frame Rotation register. More...
void | VnUartPacket_parseReferenceFrameRotationRaw (char *packet, mat3f *c)
| Parses a response from reading the Reference Frame Rotation register. More...
void | VnUartPacket_parseYawPitchRollMagneticAccelerationAndAngularRates (VnUartPacket *packet, vec3f *yawPitchRoll, vec3f *mag, vec3f *accel, vec3f *gyro)
| Parses a response from reading the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register. More...
void | VnUartPacket_parseYawPitchRollMagneticAccelerationAndAngularRatesRaw (char *packet, vec3f *yawPitchRoll, vec3f *mag, vec3f *accel, vec3f *gyro)
| Parses a response from reading the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register. More...
void | VnUartPacket_parseCommunicationProtocolControl (VnUartPacket *packet, uint8_t *serialCount, uint8_t *serialStatus, uint8_t *spiCount, uint8_t *spiStatus, uint8_t *serialChecksum, uint8_t *spiChecksum, uint8_t *errorMode)
| Parses a response from reading the Communication Protocol Control register. More...
void | VnUartPacket_parseCommunicationProtocolControlRaw (char *packet, uint8_t *serialCount, uint8_t *serialStatus, uint8_t *spiCount, uint8_t *spiStatus, uint8_t *serialChecksum, uint8_t *spiChecksum, uint8_t *errorMode)
| Parses a response from reading the Communication Protocol Control register. More...
void | VnUartPacket_parseSynchronizationControl (VnUartPacket *packet, uint8_t *syncInMode, uint8_t *syncInEdge, uint16_t *syncInSkipFactor, uint32_t *reserved1, uint8_t *syncOutMode, uint8_t *syncOutPolarity, uint16_t *syncOutSkipFactor, uint32_t *syncOutPulseWidth, uint32_t *reserved2)
| Parses a response from reading the Synchronization Control register. More...
void | VnUartPacket_parseSynchronizationControlRaw (char *packet, uint8_t *syncInMode, uint8_t *syncInEdge, uint16_t *syncInSkipFactor, uint32_t *reserved1, uint8_t *syncOutMode, uint8_t *syncOutPolarity, uint16_t *syncOutSkipFactor, uint32_t *syncOutPulseWidth, uint32_t *reserved2)
| Parses a response from reading the Synchronization Control register. More...
void | VnUartPacket_parseSynchronizationStatus (VnUartPacket *packet, uint32_t *syncInCount, uint32_t *syncInTime, uint32_t *syncOutCount)
| Parses a response from reading the Synchronization Status register. More...
void | VnUartPacket_parseSynchronizationStatusRaw (char *packet, uint32_t *syncInCount, uint32_t *syncInTime, uint32_t *syncOutCount)
| Parses a response from reading the Synchronization Status register. More...
void | VnUartPacket_parseFilterBasicControl (VnUartPacket *packet, uint8_t *magMode, uint8_t *extMagMode, uint8_t *extAccMode, uint8_t *extGyroMode, vec3f *gyroLimit)
| Parses a response from reading the Filter Basic Control register. More...
void | VnUartPacket_parseFilterBasicControlRaw (char *packet, uint8_t *magMode, uint8_t *extMagMode, uint8_t *extAccMode, uint8_t *extGyroMode, vec3f *gyroLimit)
| Parses a response from reading the Filter Basic Control register. More...
void | VnUartPacket_parseVpeBasicControl (VnUartPacket *packet, uint8_t *enable, uint8_t *headingMode, uint8_t *filteringMode, uint8_t *tuningMode)
| Parses a response from reading the VPE Basic Control register. More...
void | VnUartPacket_parseVpeBasicControlRaw (char *packet, uint8_t *enable, uint8_t *headingMode, uint8_t *filteringMode, uint8_t *tuningMode)
| Parses a response from reading the VPE Basic Control register. More...
void | VnUartPacket_parseVpeMagnetometerBasicTuning (VnUartPacket *packet, vec3f *baseTuning, vec3f *adaptiveTuning, vec3f *adaptiveFiltering)
| Parses a response from reading the VPE Magnetometer Basic Tuning register. More...
void | VnUartPacket_parseVpeMagnetometerBasicTuningRaw (char *packet, vec3f *baseTuning, vec3f *adaptiveTuning, vec3f *adaptiveFiltering)
| Parses a response from reading the VPE Magnetometer Basic Tuning register. More...
void | VnUartPacket_parseVpeMagnetometerAdvancedTuning (VnUartPacket *packet, vec3f *minFiltering, vec3f *maxFiltering, float *maxAdaptRate, float *disturbanceWindow, float *maxTuning)
| Parses a response from reading the VPE Magnetometer Advanced Tuning register. More...
void | VnUartPacket_parseVpeMagnetometerAdvancedTuningRaw (char *packet, vec3f *minFiltering, vec3f *maxFiltering, float *maxAdaptRate, float *disturbanceWindow, float *maxTuning)
| Parses a response from reading the VPE Magnetometer Advanced Tuning register. More...
void | VnUartPacket_parseVpeAccelerometerBasicTuning (VnUartPacket *packet, vec3f *baseTuning, vec3f *adaptiveTuning, vec3f *adaptiveFiltering)
| Parses a response from reading the VPE Accelerometer Basic Tuning register. More...
void | VnUartPacket_parseVpeAccelerometerBasicTuningRaw (char *packet, vec3f *baseTuning, vec3f *adaptiveTuning, vec3f *adaptiveFiltering)
| Parses a response from reading the VPE Accelerometer Basic Tuning register. More...
void | VnUartPacket_parseVpeAccelerometerAdvancedTuning (VnUartPacket *packet, vec3f *minFiltering, vec3f *maxFiltering, float *maxAdaptRate, float *disturbanceWindow, float *maxTuning)
| Parses a response from reading the VPE Accelerometer Advanced Tuning register. More...
void | VnUartPacket_parseVpeAccelerometerAdvancedTuningRaw (char *packet, vec3f *minFiltering, vec3f *maxFiltering, float *maxAdaptRate, float *disturbanceWindow, float *maxTuning)
| Parses a response from reading the VPE Accelerometer Advanced Tuning register. More...
void | VnUartPacket_parseVpeGyroBasicTuning (VnUartPacket *packet, vec3f *angularWalkVariance, vec3f *baseTuning, vec3f *adaptiveTuning)
| Parses a response from reading the VPE Gyro Basic Tuning register. More...
void | VnUartPacket_parseVpeGyroBasicTuningRaw (char *packet, vec3f *angularWalkVariance, vec3f *baseTuning, vec3f *adaptiveTuning)
| Parses a response from reading the VPE Gyro Basic Tuning register. More...
void | VnUartPacket_parseFilterStartupGyroBias (VnUartPacket *packet, vec3f *bias)
| Parses a response from reading the Filter Startup Gyro Bias register. More...
void | VnUartPacket_parseFilterStartupGyroBiasRaw (char *packet, vec3f *bias)
| Parses a response from reading the Filter Startup Gyro Bias register. More...
void | VnUartPacket_parseMagnetometerCalibrationControl (VnUartPacket *packet, uint8_t *hsiMode, uint8_t *hsiOutput, uint8_t *convergeRate)
| Parses a response from reading the Magnetometer Calibration Control register. More...
void | VnUartPacket_parseMagnetometerCalibrationControlRaw (char *packet, uint8_t *hsiMode, uint8_t *hsiOutput, uint8_t *convergeRate)
| Parses a response from reading the Magnetometer Calibration Control register. More...
void | VnUartPacket_parseCalculatedMagnetometerCalibration (VnUartPacket *packet, mat3f *c, vec3f *b)
| Parses a response from reading the Calculated Magnetometer Calibration register. More...
void | VnUartPacket_parseCalculatedMagnetometerCalibrationRaw (char *packet, mat3f *c, vec3f *b)
| Parses a response from reading the Calculated Magnetometer Calibration register. More...
void | VnUartPacket_parseIndoorHeadingModeControl (VnUartPacket *packet, float *maxRateError, uint8_t *reserved1)
| Parses a response from reading the Indoor Heading Mode Control register. More...
void | VnUartPacket_parseIndoorHeadingModeControlRaw (char *packet, float *maxRateError, uint8_t *reserved1)
| Parses a response from reading the Indoor Heading Mode Control register. More...
void | VnUartPacket_parseVelocityCompensationMeasurement (VnUartPacket *packet, vec3f *velocity)
| Parses a response from reading the Velocity Compensation Measurement register. More...
void | VnUartPacket_parseVelocityCompensationMeasurementRaw (char *packet, vec3f *velocity)
| Parses a response from reading the Velocity Compensation Measurement register. More...
void | VnUartPacket_parseVelocityCompensationControl (VnUartPacket *packet, uint8_t *mode, float *velocityTuning, float *rateTuning)
| Parses a response from reading the Velocity Compensation Control register. More...
void | VnUartPacket_parseVelocityCompensationControlRaw (char *packet, uint8_t *mode, float *velocityTuning, float *rateTuning)
| Parses a response from reading the Velocity Compensation Control register. More...
void | VnUartPacket_parseVelocityCompensationStatus (VnUartPacket *packet, float *x, float *xDot, vec3f *accelOffset, vec3f *omega)
| Parses a response from reading the Velocity Compensation Status register. More...
void | VnUartPacket_parseVelocityCompensationStatusRaw (char *packet, float *x, float *xDot, vec3f *accelOffset, vec3f *omega)
| Parses a response from reading the Velocity Compensation Status register. More...
void | VnUartPacket_parseImuMeasurements (VnUartPacket *packet, vec3f *mag, vec3f *accel, vec3f *gyro, float *temp, float *pressure)
| Parses a response from reading the IMU Measurements register. More...
void | VnUartPacket_parseImuMeasurementsRaw (char *packet, vec3f *mag, vec3f *accel, vec3f *gyro, float *temp, float *pressure)
| Parses a response from reading the IMU Measurements register. More...
void | VnUartPacket_parseGpsConfiguration (VnUartPacket *packet, uint8_t *mode, uint8_t *ppsSource, uint8_t *reserved1, uint8_t *reserved2, uint8_t *reserved3)
| Parses a response from reading the GPS Configuration register. More...
void | VnUartPacket_parseGpsConfigurationRaw (char *packet, uint8_t *mode, uint8_t *ppsSource, uint8_t *reserved1, uint8_t *reserved2, uint8_t *reserved3)
| Parses a response from reading the GPS Configuration register. More...
void | VnUartPacket_parseGpsAntennaOffset (VnUartPacket *packet, vec3f *position)
| Parses a response from reading the GPS Antenna Offset register. More...
void | VnUartPacket_parseGpsAntennaOffsetRaw (char *packet, vec3f *position)
| Parses a response from reading the GPS Antenna Offset register. More...
void | VnUartPacket_parseGpsSolutionLla (VnUartPacket *packet, double *time, uint16_t *week, uint8_t *gpsFix, uint8_t *numSats, vec3d *lla, vec3f *nedVel, vec3f *nedAcc, float *speedAcc, float *timeAcc)
| Parses a response from reading the GPS Solution - LLA register. More...
void | VnUartPacket_parseGpsSolutionLlaRaw (char *packet, double *time, uint16_t *week, uint8_t *gpsFix, uint8_t *numSats, vec3d *lla, vec3f *nedVel, vec3f *nedAcc, float *speedAcc, float *timeAcc)
| Parses a response from reading the GPS Solution - LLA register. More...
void | VnUartPacket_parseGpsSolutionEcef (VnUartPacket *packet, double *tow, uint16_t *week, uint8_t *gpsFix, uint8_t *numSats, vec3d *position, vec3f *velocity, vec3f *posAcc, float *speedAcc, float *timeAcc)
| Parses a response from reading the GPS Solution - ECEF register. More...
void | VnUartPacket_parseGpsSolutionEcefRaw (char *packet, double *tow, uint16_t *week, uint8_t *gpsFix, uint8_t *numSats, vec3d *position, vec3f *velocity, vec3f *posAcc, float *speedAcc, float *timeAcc)
| Parses a response from reading the GPS Solution - ECEF register. More...
void | VnUartPacket_parseInsSolutionLla (VnUartPacket *packet, double *time, uint16_t *week, uint16_t *status, vec3f *yawPitchRoll, vec3d *position, vec3f *nedVel, float *attUncertainty, float *posUncertainty, float *velUncertainty)
| Parses a response from reading the INS Solution - LLA register. More...
void | VnUartPacket_parseInsSolutionLlaRaw (char *packet, double *time, uint16_t *week, uint16_t *status, vec3f *yawPitchRoll, vec3d *position, vec3f *nedVel, float *attUncertainty, float *posUncertainty, float *velUncertainty)
| Parses a response from reading the INS Solution - LLA register. More...
void | VnUartPacket_parseInsSolutionEcef (VnUartPacket *packet, double *time, uint16_t *week, uint16_t *status, vec3f *yawPitchRoll, vec3d *position, vec3f *velocity, float *attUncertainty, float *posUncertainty, float *velUncertainty)
| Parses a response from reading the INS Solution - ECEF register. More...
void | VnUartPacket_parseInsSolutionEcefRaw (char *packet, double *time, uint16_t *week, uint16_t *status, vec3f *yawPitchRoll, vec3d *position, vec3f *velocity, float *attUncertainty, float *posUncertainty, float *velUncertainty)
| Parses a response from reading the INS Solution - ECEF register. More...
void | VnUartPacket_parseInsBasicConfiguration (VnUartPacket *packet, uint8_t *scenario, uint8_t *ahrsAiding, uint8_t *estBaseline, uint8_t *resv2)
| Parses a response from reading the INS Basic Configuration register. More...
void | VnUartPacket_parseInsBasicConfigurationRaw (char *packet, uint8_t *scenario, uint8_t *ahrsAiding, uint8_t *estBaseline, uint8_t *resv2)
| Parses a response from reading the INS Basic Configuration register. More...
void | VnUartPacket_parseInsAdvancedConfiguration (VnUartPacket *packet, uint8_t *useMag, uint8_t *usePres, uint8_t *posAtt, uint8_t *velAtt, uint8_t *velBias, uint8_t *useFoam, uint8_t *gpsCovType, uint8_t *velCount, float *velInit, float *moveOrigin, float *gpsTimeout, float *deltaLimitPos, float *deltaLimitVel, float *minPosUncertainty, float *minVelUncertainty)
| Parses a response from reading the INS Advanced Configuration register. More...
void | VnUartPacket_parseInsAdvancedConfigurationRaw (char *packet, uint8_t *useMag, uint8_t *usePres, uint8_t *posAtt, uint8_t *velAtt, uint8_t *velBias, uint8_t *useFoam, uint8_t *gpsCovType, uint8_t *velCount, float *velInit, float *moveOrigin, float *gpsTimeout, float *deltaLimitPos, float *deltaLimitVel, float *minPosUncertainty, float *minVelUncertainty)
| Parses a response from reading the INS Advanced Configuration register. More...
void | VnUartPacket_parseInsStateLla (VnUartPacket *packet, vec3f *yawPitchRoll, vec3d *position, vec3f *velocity, vec3f *accel, vec3f *angularRate)
| Parses a response from reading the INS State - LLA register. More...
void | VnUartPacket_parseInsStateLlaRaw (char *packet, vec3f *yawPitchRoll, vec3d *position, vec3f *velocity, vec3f *accel, vec3f *angularRate)
| Parses a response from reading the INS State - LLA register. More...
void | VnUartPacket_parseInsStateEcef (VnUartPacket *packet, vec3f *yawPitchRoll, vec3d *position, vec3f *velocity, vec3f *accel, vec3f *angularRate)
| Parses a response from reading the INS State - ECEF register. More...
void | VnUartPacket_parseInsStateEcefRaw (char *packet, vec3f *yawPitchRoll, vec3d *position, vec3f *velocity, vec3f *accel, vec3f *angularRate)
| Parses a response from reading the INS State - ECEF register. More...
void | VnUartPacket_parseStartupFilterBiasEstimate (VnUartPacket *packet, vec3f *gyroBias, vec3f *accelBias, float *pressureBias)
| Parses a response from reading the Startup Filter Bias Estimate register. More...
void | VnUartPacket_parseStartupFilterBiasEstimateRaw (char *packet, vec3f *gyroBias, vec3f *accelBias, float *pressureBias)
| Parses a response from reading the Startup Filter Bias Estimate register. More...
void | VnUartPacket_parseDeltaThetaAndDeltaVelocity (VnUartPacket *packet, float *deltaTime, vec3f *deltaTheta, vec3f *deltaVelocity)
| Parses a response from reading the Delta Theta and Delta Velocity register. More...
void | VnUartPacket_parseDeltaThetaAndDeltaVelocityRaw (char *packet, float *deltaTime, vec3f *deltaTheta, vec3f *deltaVelocity)
| Parses a response from reading the Delta Theta and Delta Velocity register. More...
void | VnUartPacket_parseDeltaThetaAndDeltaVelocityConfiguration (VnUartPacket *packet, uint8_t *integrationFrame, uint8_t *gyroCompensation, uint8_t *accelCompensation, uint8_t *reserved1, uint16_t *reserved2)
| Parses a response from reading the Delta Theta and Delta Velocity Configuration register. More...
void | VnUartPacket_parseDeltaThetaAndDeltaVelocityConfigurationRaw (char *packet, uint8_t *integrationFrame, uint8_t *gyroCompensation, uint8_t *accelCompensation, uint8_t *reserved1, uint16_t *reserved2)
| Parses a response from reading the Delta Theta and Delta Velocity Configuration register. More...
void | VnUartPacket_parseReferenceVectorConfiguration (VnUartPacket *packet, uint8_t *useMagModel, uint8_t *useGravityModel, uint8_t *resv1, uint8_t *resv2, uint32_t *recalcThreshold, float *year, vec3d *position)
| Parses a response from reading the Reference Vector Configuration register. More...
void | VnUartPacket_parseReferenceVectorConfigurationRaw (char *packet, uint8_t *useMagModel, uint8_t *useGravityModel, uint8_t *resv1, uint8_t *resv2, uint32_t *recalcThreshold, float *year, vec3d *position)
| Parses a response from reading the Reference Vector Configuration register. More...
void | VnUartPacket_parseGyroCompensation (VnUartPacket *packet, mat3f *c, vec3f *b)
| Parses a response from reading the Gyro Compensation register. More...
void | VnUartPacket_parseGyroCompensationRaw (char *packet, mat3f *c, vec3f *b)
| Parses a response from reading the Gyro Compensation register. More...
void | VnUartPacket_parseImuFilteringConfiguration (VnUartPacket *packet, uint16_t *magWindowSize, uint16_t *accelWindowSize, uint16_t *gyroWindowSize, uint16_t *tempWindowSize, uint16_t *presWindowSize, uint8_t *magFilterMode, uint8_t *accelFilterMode, uint8_t *gyroFilterMode, uint8_t *tempFilterMode, uint8_t *presFilterMode)
| Parses a response from reading the IMU Filtering Configuration register. More...
void | VnUartPacket_parseImuFilteringConfigurationRaw (char *packet, uint16_t *magWindowSize, uint16_t *accelWindowSize, uint16_t *gyroWindowSize, uint16_t *tempWindowSize, uint16_t *presWindowSize, uint8_t *magFilterMode, uint8_t *accelFilterMode, uint8_t *gyroFilterMode, uint8_t *tempFilterMode, uint8_t *presFilterMode)
| Parses a response from reading the IMU Filtering Configuration register. More...
void | VnUartPacket_parseGpsCompassBaseline (VnUartPacket *packet, vec3f *position, vec3f *uncertainty)
| Parses a response from reading the GPS Compass Baseline register. More...
void | VnUartPacket_parseGpsCompassBaselineRaw (char *packet, vec3f *position, vec3f *uncertainty)
| Parses a response from reading the GPS Compass Baseline register. More...
void | VnUartPacket_parseGpsCompassEstimatedBaseline (VnUartPacket *packet, uint8_t *estBaselineUsed, uint8_t *resv, uint16_t *numMeas, vec3f *position, vec3f *uncertainty)
| Parses a response from reading the GPS Compass Estimated Baseline register. More...
void | VnUartPacket_parseGpsCompassEstimatedBaselineRaw (char *packet, uint8_t *estBaselineUsed, uint8_t *resv, uint16_t *numMeas, vec3f *position, vec3f *uncertainty)
| Parses a response from reading the GPS Compass Estimated Baseline register. More...
void | VnUartPacket_parseImuRateConfiguration (VnUartPacket *packet, uint16_t *imuRate, uint16_t *navDivisor, float *filterTargetRate, float *filterMinRate)
| Parses a response from reading the IMU Rate Configuration register. More...
void | VnUartPacket_parseImuRateConfigurationRaw (char *packet, uint16_t *imuRate, uint16_t *navDivisor, float *filterTargetRate, float *filterMinRate)
| Parses a response from reading the IMU Rate Configuration register. More...
void | VnUartPacket_parseYawPitchRollTrueBodyAccelerationAndAngularRates (VnUartPacket *packet, vec3f *yawPitchRoll, vec3f *bodyAccel, vec3f *gyro)
| Parses a response from reading the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register. More...
void | VnUartPacket_parseYawPitchRollTrueBodyAccelerationAndAngularRatesRaw (char *packet, vec3f *yawPitchRoll, vec3f *bodyAccel, vec3f *gyro)
| Parses a response from reading the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register. More...
void | VnUartPacket_parseYawPitchRollTrueInertialAccelerationAndAngularRates (VnUartPacket *packet, vec3f *yawPitchRoll, vec3f *inertialAccel, vec3f *gyro)
| Parses a response from reading the Yaw, Pitch, Roll, True Inertial Acceleration and Angular Rates register. More...
void | VnUartPacket_parseYawPitchRollTrueInertialAccelerationAndAngularRatesRaw (char *packet, vec3f *yawPitchRoll, vec3f *inertialAccel, vec3f *gyro)
| Parses a response from reading the Yaw, Pitch, Roll, True Inertial Acceleration and Angular Rates register. More...

## Detailed Description

This set of functions will generate command strings for writing to VectorNav sensor registers.

These functions take the form shown below. `XXX` is replaced by the name of the register, `buffer` is provided by the user to be filled with the generated command, `bufferSize` is the number of bytes in the provided buffer, `errorDetection` indicates the type of error-detection to generate the command with, `cmdSize` is returned to the user to indicate the number of bytes of the generated command, and `[Variable argument list]` varies with the specified register being written to.

VnError VnUartPacket_genWriteXXX(
char *buffer,
size_t bufferSize,
VnErrorDetection errorDetection,
size_t *cmdSize,
[Variable argument list]);

## Function Documentation

VnError VnUartPacket_genWriteAccelerationCompensation | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | mat3f | c,
|  | vec3f | b
| ) |  |

Generates a command to write to the Acceleration Compensation register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | c | The register's C field.
  [in] | b | The register's B field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteAsyncDataOutputFrequency | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint32_t | adof
| ) |  |

Generates a command to write to the Async Data Output Frequency register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | adof | The register's ADOF field.

Returns
  Indicates any errors encountered.

Examples:
  getting_started/main.c.

VnError VnUartPacket_genWriteAsyncDataOutputFrequencyWithOptions | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint32_t | adof
| ) |  |

Generates a command to write to the Async Data Output Frequency register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | adof | The register's ADOF field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteAsyncDataOutputType | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint32_t | ador
| ) |  |

Generates a command to write to the Async Data Output Type register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | ador | The register's ADOR field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteAsyncDataOutputTypeWithOptions | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint32_t | ador
| ) |  |

Generates a command to write to the Async Data Output Type register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | ador | The register's ADOR field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteBinaryOutput1 | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint16_t | asyncMode,
|  | uint16_t | rateDivisor,
|  | uint16_t | commonField,
|  | uint16_t | timeField,
|  | uint16_t | imuField,
|  | uint16_t | gpsField,
|  | uint16_t | attitudeField,
|  | uint16_t | insField
| ) |  |

Generates a command to write to the Binary Output 1 register.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | asyncMode | The register's async mode.
  [in] | rateDivisor | The register's rate divisor field.
  [in] | commonField | The flags for Group 1 (Common) field.
  [in] | timeField | The flags for Group 2 (Time) field.
  [in] | imuField | The flags for Group 3 (IMU) field.
  [in] | gpsField | The flags for Group 4 (GPS) field.
  [in] | attitudeField | The flags for Group 5 (Attitude) field.
  [in] | insField | The flags for Group 6 (INS) field.

Returns
  Indicates any errors encountered.

Examples:
  getting_started/main.c.

VnError VnUartPacket_genWriteBinaryOutput2 | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint16_t | asyncMode,
|  | uint16_t | rateDivisor,
|  | uint16_t | commonField,
|  | uint16_t | timeField,
|  | uint16_t | imuField,
|  | uint16_t | gpsField,
|  | uint16_t | attitudeField,
|  | uint16_t | insField
| ) |  |

Generates a command to write to the Binary Output 2 register.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | asyncMode | The register's async mode.
  [in] | rateDivisor | The register's rate divisor field.
  [in] | commonField | The flags for Group 1 (Common) field.
  [in] | timeField | The flags for Group 2 (Time) field.
  [in] | imuField | The flags for Group 3 (IMU) field.
  [in] | gpsField | The flags for Group 4 (GPS) field.
  [in] | attitudeField | The flags for Group 5 (Attitude) field.
  [in] | insField | The flags for Group 6 (INS) field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteBinaryOutput3 | ( | uint8_t * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint16_t | asyncMode,
|  | uint16_t | rateDivisor,
|  | uint16_t | commonField,
|  | uint16_t | timeField,
|  | uint16_t | imuField,
|  | uint16_t | gpsField,
|  | uint16_t | attitudeField,
|  | uint16_t | insField
| ) |  |

Generates a command to write to the Binary Output 3 register.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | asyncMode | The register's async mode.
  [in] | rateDivisor | The register's rate divisor field.
  [in] | commonField | The flags for Group 1 (Common) field.
  [in] | timeField | The flags for Group 2 (Time) field.
  [in] | imuField | The flags for Group 3 (IMU) field.
  [in] | gpsField | The flags for Group 4 (GPS) field.
  [in] | attitudeField | The flags for Group 5 (Attitude) field.
  [in] | insField | The flags for Group 6 (INS) field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteCommunicationProtocolControl | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint8_t | serialCount,
|  | uint8_t | serialStatus,
|  | uint8_t | spiCount,
|  | uint8_t | spiStatus,
|  | uint8_t | serialChecksum,
|  | uint8_t | spiChecksum,
|  | uint8_t | errorMode
| ) |  |

Generates a command to write to the Communication Protocol Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | serialCount | The register's SerialCount field.
  [in] | serialStatus | The register's SerialStatus field.
  [in] | spiCount | The register's SPICount field.
  [in] | spiStatus | The register's SPIStatus field.
  [in] | serialChecksum | The register's SerialChecksum field.
  [in] | spiChecksum | The register's SPIChecksum field.
  [in] | errorMode | The register's ErrorMode field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteDeltaThetaAndDeltaVelocityConfiguration | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint8_t | integrationFrame,
|  | uint8_t | gyroCompensation,
|  | uint8_t | accelCompensation,
|  | uint8_t | reserved1,
|  | uint16_t | reserved2
| ) |  |

Generates a command to write to the Delta Theta and Delta Velocity Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | integrationFrame | The register's IntegrationFrame field.
  [in] | gyroCompensation | The register's GyroCompensation field.
  [in] | accelCompensation | The register's AccelCompensation field.
  [in] | reserved1 | The register's Reserved1 field.
  [in] | reserved2 | The register's Reserved2 field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteGpsAntennaOffset | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | vec3f | position
| ) |  |

Generates a command to write to the GPS Antenna Offset register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | position | The register's Position field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteGpsCompassBaseline | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | vec3f | position,
|  | vec3f | uncertainty
| ) |  |

Generates a command to write to the GPS Compass Baseline register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | position | The register's Position field.
  [in] | uncertainty | The register's Uncertainty field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteGpsConfiguration | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint8_t | mode,
|  | uint8_t | ppsSource,
|  | uint8_t | reserved1,
|  | uint8_t | reserved2,
|  | uint8_t | reserved3
| ) |  |

Generates a command to write to the GPS Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | mode | The register's Mode field.
  [in] | ppsSource | The register's PpsSource field.
  [in] | reserved1 | The register's Reserved1 field.
  [in] | reserved2 | The register's Reserved2 field.
  [in] | reserved3 | The register's Reserved3 field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteGyroCompensation | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | mat3f | c,
|  | vec3f | b
| ) |  |

Generates a command to write to the Gyro Compensation register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | c | The register's C field.
  [in] | b | The register's B field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteImuFilteringConfiguration | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint16_t | magWindowSize,
|  | uint16_t | accelWindowSize,
|  | uint16_t | gyroWindowSize,
|  | uint16_t | tempWindowSize,
|  | uint16_t | presWindowSize,
|  | uint8_t | magFilterMode,
|  | uint8_t | accelFilterMode,
|  | uint8_t | gyroFilterMode,
|  | uint8_t | tempFilterMode,
|  | uint8_t | presFilterMode
| ) |  |

Generates a command to write to the IMU Filtering Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | magWindowSize | The register's MagWindowSize field.
  [in] | accelWindowSize | The register's AccelWindowSize field.
  [in] | gyroWindowSize | The register's GyroWindowSize field.
  [in] | tempWindowSize | The register's TempWindowSize field.
  [in] | presWindowSize | The register's PresWindowSize field.
  [in] | magFilterMode | The register's MagFilterMode field.
  [in] | accelFilterMode | The register's AccelFilterMode field.
  [in] | gyroFilterMode | The register's GyroFilterMode field.
  [in] | tempFilterMode | The register's TempFilterMode field.
  [in] | presFilterMode | The register's PresFilterMode field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteInsBasicConfiguration | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint8_t | scenario,
|  | uint8_t | ahrsAiding,
|  | uint8_t | estBaseline,
|  | uint8_t | resv2
| ) |  |

Generates a command to write to the INS Basic Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | scenario | The register's Scenario field.
  [in] | ahrsAiding | The register's AhrsAiding field.
  [in] | estBaseline | The register's EstBaseline field.
  [in] | resv2 | The register's Resv2 field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteMagneticAndGravityReferenceVectors | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | vec3f | magRef,
|  | vec3f | accRef
| ) |  |

Generates a command to write to the Magnetic and Gravity Reference Vectors register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | magRef | The register's MagRef field.
  [in] | accRef | The register's AccRef field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteMagnetometerCalibrationControl | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint8_t | hsiMode,
|  | uint8_t | hsiOutput,
|  | uint8_t | convergeRate
| ) |  |

Generates a command to write to the Magnetometer Calibration Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | hsiMode | The register's HSIMode field.
  [in] | hsiOutput | The register's HSIOutput field.
  [in] | convergeRate | The register's ConvergeRate field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteMagnetometerCompensation | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | mat3f | c,
|  | vec3f | b
| ) |  |

Generates a command to write to the Magnetometer Compensation register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | c | The register's C field.
  [in] | b | The register's B field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteReferenceFrameRotation | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | mat3f | c
| ) |  |

Generates a command to write to the Reference Frame Rotation register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | c | The register's C field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteReferenceVectorConfiguration | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint8_t | useMagModel,
|  | uint8_t | useGravityModel,
|  | uint8_t | resv1,
|  | uint8_t | resv2,
|  | uint32_t | recalcThreshold,
|  | float | year,
|  | vec3d | position
| ) |  |

Generates a command to write to the Reference Vector Configuration register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | useMagModel | The register's UseMagModel field.
  [in] | useGravityModel | The register's UseGravityModel field.
  [in] | resv1 | The register's Resv1 field.
  [in] | resv2 | The register's Resv2 field.
  [in] | recalcThreshold | The register's RecalcThreshold field.
  [in] | year | The register's Year field.
  [in] | position | The register's Position field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteSerialBaudRate | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint32_t | baudrate
| ) |  |

Generates a command to write to the Serial Baud Rate register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | baudrate | The register's Baud Rate field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteSerialBaudRateWithOptions | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint32_t | baudrate
| ) |  |

Generates a command to write to the Serial Baud Rate register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | baudrate | The register's Baud Rate field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteStartupFilterBiasEstimate | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | vec3f | gyroBias,
|  | vec3f | accelBias,
|  | float | pressureBias
| ) |  |

Generates a command to write to the Startup Filter Bias Estimate register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | gyroBias | The register's GyroBias field.
  [in] | accelBias | The register's AccelBias field.
  [in] | pressureBias | The register's PressureBias field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteSynchronizationControl | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint8_t | syncInMode,
|  | uint8_t | syncInEdge,
|  | uint16_t | syncInSkipFactor,
|  | uint32_t | reserved1,
|  | uint8_t | syncOutMode,
|  | uint8_t | syncOutPolarity,
|  | uint16_t | syncOutSkipFactor,
|  | uint32_t | syncOutPulseWidth,
|  | uint32_t | reserved2
| ) |  |

Generates a command to write to the Synchronization Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | syncInMode | The register's SyncInMode field.
  [in] | syncInEdge | The register's SyncInEdge field.
  [in] | syncInSkipFactor | The register's SyncInSkipFactor field.
  [in] | reserved1 | The register's RESERVED1 field.
  [in] | syncOutMode | The register's SyncOutMode field.
  [in] | syncOutPolarity | The register's SyncOutPolarity field.
  [in] | syncOutSkipFactor | The register's SyncOutSkipFactor field.
  [in] | syncOutPulseWidth | The register's SyncOutPulseWidth field.
  [in] | reserved2 | The register's RESERVED2 field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteSynchronizationStatus | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint32_t | syncInCount,
|  | uint32_t | syncInTime,
|  | uint32_t | syncOutCount
| ) |  |

Generates a command to write to the Synchronization Status register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | syncInCount | The register's SyncInCount field.
  [in] | syncInTime | The register's SyncInTime field.
  [in] | syncOutCount | The register's SyncOutCount field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteUserTag | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | char * | tag
| ) |  |

Generates a command to write to the User Tag register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | tag | The register's Tag field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteVelocityCompensationControl | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint8_t | mode,
|  | float | velocityTuning,
|  | float | rateTuning
| ) |  |

Generates a command to write to the Velocity Compensation Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | mode | The register's Mode field.
  [in] | velocityTuning | The register's VelocityTuning field.
  [in] | rateTuning | The register's RateTuning field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteVelocityCompensationMeasurement | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | vec3f | velocity
| ) |  |

Generates a command to write to the Velocity Compensation Measurement register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | velocity | The register's Velocity field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteVpeAccelerometerBasicTuning | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | vec3f | baseTuning,
|  | vec3f | adaptiveTuning,
|  | vec3f | adaptiveFiltering
| ) |  |

Generates a command to write to the VPE Accelerometer Basic Tuning register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | baseTuning | The register's BaseTuning field.
  [in] | adaptiveTuning | The register's AdaptiveTuning field.
  [in] | adaptiveFiltering | The register's AdaptiveFiltering field.

Returns
  Indicates any errors encountered.

VnError VnUartPacket_genWriteVpeBasicControl | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | uint8_t | enable,
|  | uint8_t | headingMode,
|  | uint8_t | filteringMode,
|  | uint8_t | tuningMode
| ) |  |

Generates a command to write to the VPE Basic Control register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | enable | The register's Enable field.
  [in] | headingMode | The register's HeadingMode field.
  [in] | filteringMode | The register's FilteringMode field.
  [in] | tuningMode | The register's TuningMode field.

Returns
  Indicates any errors encountered.

Examples:
  getting_started/main.c.

VnError VnUartPacket_genWriteVpeMagnetometerBasicTuning | ( | char * | buffer,
|  | size_t | bufferSize,
|  | VnErrorDetectionMode | errorDetectionMode,
|  | size_t * | cmdSize,
|  | vec3f | baseTuning,
|  | vec3f | adaptiveTuning,
|  | vec3f | adaptiveFiltering
| ) |  |

Generates a command to write to the VPE Magnetometer Basic Tuning register on a VectorNav sensor.

Parameters

  [in] | buffer | Caller provided buffer to place the generated command.
  [in] | bufferSize | Number of bytes available in the provided buffer.
  [in] | errorDetectionMode | The type of error-detection to use in generating the command.
  [out] | cmdSize | The total number bytes in the generated command.
  [in] | baseTuning | The register's BaseTuning field.
  [in] | adaptiveTuning | The register's AdaptiveTuning field.
  [in] | adaptiveFiltering | The register's AdaptiveFiltering field.

Returns
  Indicates any errors encountered.

void VnUartPacket_parseAccelerationCompensation | ( | VnUartPacket * | packet,
|  | mat3f * | c,
|  | vec3f * | b
| ) |  |

Parses a response from reading the Acceleration Compensation register.

Parameters

  [in] | packet | The associated packet.
  [out] | c | The register's C field.
  [out] | b | The register's B field.

void VnUartPacket_parseAccelerationCompensationRaw | ( | char * | packet,
|  | mat3f * | c,
|  | vec3f * | b
| ) |  |

Parses a response from reading the Acceleration Compensation register.

Parameters

  [in] | packet | The associated packet.
  [out] | c | The register's C field.
  [out] | b | The register's B field.

void VnUartPacket_parseAccelerationMeasurements | ( | VnUartPacket * | packet,
|  | vec3f * | accel
| ) |  |

Parses a response from reading the Acceleration Measurements register.

Parameters

  [in] | packet | The associated packet.
  [out] | accel | The register's Accel field.

void VnUartPacket_parseAccelerationMeasurementsRaw | ( | char * | packet,
|  | vec3f * | accel
| ) |  |

Parses a response from reading the Acceleration Measurements register.

Parameters

  [in] | packet | The associated packet.
  [out] | accel | The register's Accel field.

void VnUartPacket_parseAngularRateMeasurements | ( | VnUartPacket * | packet,
|  | vec3f * | gyro
| ) |  |

Parses a response from reading the Angular Rate Measurements register.

Parameters

  [in] | packet | The associated packet.
  [out] | gyro | The register's Gyro field.

void VnUartPacket_parseAngularRateMeasurementsRaw | ( | char * | packet,
|  | vec3f * | gyro
| ) |  |

Parses a response from reading the Angular Rate Measurements register.

Parameters

  [in] | packet | The associated packet.
  [out] | gyro | The register's Gyro field.

void VnUartPacket_parseAsyncDataOutputFrequency | ( | VnUartPacket * | packet,
|  | uint32_t * | adof
| ) |  |

Parses a response from reading the Async Data Output Frequency register.

Parameters

  [in] | packet | The associated packet.
  [out] | adof | The register's ADOF field.

Examples:
  getting_started/main.c.

void VnUartPacket_parseAsyncDataOutputFrequencyRaw | ( | char * | packet,
|  | uint32_t * | adof
| ) |  |

Parses a response from reading the Async Data Output Frequency register.

Parameters

  [in] | packet | The associated packet.
  [out] | adof | The register's ADOF field.

void VnUartPacket_parseAsyncDataOutputType | ( | VnUartPacket * | packet,
|  | uint32_t * | ador
| ) |  |

Parses a response from reading the Async Data Output Type register.

Parameters

  [in] | packet | The associated packet.
  [out] | ador | The register's ADOR field.

void VnUartPacket_parseAsyncDataOutputTypeRaw | ( | char * | packet,
|  | uint32_t * | ador
| ) |  |

Parses a response from reading the Async Data Output Type register.

Parameters

  [in] | packet | The associated packet.
  [out] | ador | The register's ADOR field.

void VnUartPacket_parseAttitudeQuaternion | ( | VnUartPacket * | packet,
|  | vec4f * | quat
| ) |  |

Parses a response from reading the Attitude Quaternion register.

Parameters

  [in] | packet | The associated packet.
  [out] | quat | The register's Quat field.

void VnUartPacket_parseAttitudeQuaternionRaw | ( | char * | packet,
|  | vec4f * | quat
| ) |  |

Parses a response from reading the Attitude Quaternion register.

Parameters

  [in] | packet | The associated packet.
  [out] | quat | The register's Quat field.

void VnUartPacket_parseBinaryOutput | ( | VnUartPacket * | packet,
|  | uint16_t * | asyncMode,
|  | uint16_t * | rateDivisor,
|  | uint16_t * | outputGroup,
|  | uint16_t * | commonField,
|  | uint16_t * | timeField,
|  | uint16_t * | imuField,
|  | uint16_t * | gpsField,
|  | uint16_t * | attitudeField,
|  | uint16_t * | insField
| ) |  |

Parses a response from reading any of the Binary Output registers.

Parameters

  [in] | packet | The associated packet.
  [out] | asyncMode | The register's AsyncMode field.
  [out] | rateDivisor | The register's RateDivisor field.
  [out] | outputGroup | The register's OutputGroup field.
  [out] | commonField | The set fields of Output Group 1 (Common) if present.
  [out] | timeField | The set fields of Output Group 2 (Time) if present.
  [out] | imuField | The set fields of Output Group 3 (IMU) if present.
  [out] | gpsField | The set fields of Output Group 4 (GPS) if present.
  [out] | attitudeField | The set fields of Output Group 5 (Attitude) if present.
  [out] | insField | The set fields of Output Group 6 (INS) if present.

void VnUartPacket_parseBinaryOutputRaw | ( | uint8_t * | packet,
|  | uint16_t * | asyncMode,
|  | uint16_t * | rateDivisor,
|  | uint16_t * | outputGroup,
|  | uint16_t * | commonField,
|  | uint16_t * | timeField,
|  | uint16_t * | imuField,
|  | uint16_t * | gpsField,
|  | uint16_t * | attitudeField,
|  | uint16_t * | insField
| ) |  |

Parses a response from reading any of the Binary Output registers.

Parameters

  [in] | packet | The associated packet.
  [out] | asyncMode | The register's AsyncMode field.
  [out] | rateDivisor | The register's RateDivisor field.
  [out] | outputGroup | The register's OutputGroup field.
  [out] | commonField | The set fields of Output Group 1 (Common) if present.
  [out] | timeField | The set fields of Output Group 2 (Time) if present.
  [out] | imuField | The set fields of Output Group 3 (IMU) if present.
  [out] | gpsField | The set fields of Output Group 4 (GPS) if present.
  [out] | attitudeField | The set fields of Output Group 5 (Attitude) if present.
  [out] | insField | The set fields of Output Group 6 (INS) if present.

void VnUartPacket_parseCalculatedMagnetometerCalibration | ( | VnUartPacket * | packet,
|  | mat3f * | c,
|  | vec3f * | b
| ) |  |

Parses a response from reading the Calculated Magnetometer Calibration register.

Parameters

  [in] | packet | The associated packet.
  [out] | c | The register's C field.
  [out] | b | The register's B field.

void VnUartPacket_parseCalculatedMagnetometerCalibrationRaw | ( | char * | packet,
|  | mat3f * | c,
|  | vec3f * | b
| ) |  |

Parses a response from reading the Calculated Magnetometer Calibration register.

Parameters

  [in] | packet | The associated packet.
  [out] | c | The register's C field.
  [out] | b | The register's B field.

void VnUartPacket_parseCommunicationProtocolControl | ( | VnUartPacket * | packet,
|  | uint8_t * | serialCount,
|  | uint8_t * | serialStatus,
|  | uint8_t * | spiCount,
|  | uint8_t * | spiStatus,
|  | uint8_t * | serialChecksum,
|  | uint8_t * | spiChecksum,
|  | uint8_t * | errorMode
| ) |  |

Parses a response from reading the Communication Protocol Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | serialCount | The register's SerialCount field.
  [out] | serialStatus | The register's SerialStatus field.
  [out] | spiCount | The register's SPICount field.
  [out] | spiStatus | The register's SPIStatus field.
  [out] | serialChecksum | The register's SerialChecksum field.
  [out] | spiChecksum | The register's SPIChecksum field.
  [out] | errorMode | The register's ErrorMode field.

void VnUartPacket_parseCommunicationProtocolControlRaw | ( | char * | packet,
|  | uint8_t * | serialCount,
|  | uint8_t * | serialStatus,
|  | uint8_t * | spiCount,
|  | uint8_t * | spiStatus,
|  | uint8_t * | serialChecksum,
|  | uint8_t * | spiChecksum,
|  | uint8_t * | errorMode
| ) |  |

Parses a response from reading the Communication Protocol Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | serialCount | The register's SerialCount field.
  [out] | serialStatus | The register's SerialStatus field.
  [out] | spiCount | The register's SPICount field.
  [out] | spiStatus | The register's SPIStatus field.
  [out] | serialChecksum | The register's SerialChecksum field.
  [out] | spiChecksum | The register's SPIChecksum field.
  [out] | errorMode | The register's ErrorMode field.

void VnUartPacket_parseDeltaThetaAndDeltaVelocity | ( | VnUartPacket * | packet,
|  | float * | deltaTime,
|  | vec3f * | deltaTheta,
|  | vec3f * | deltaVelocity
| ) |  |

Parses a response from reading the Delta Theta and Delta Velocity register.

Parameters

  [in] | packet | The associated packet.
  [out] | deltaTime | The register's DeltaTime field.
  [out] | deltaTheta | The register's DeltaTheta field.
  [out] | deltaVelocity | The register's DeltaVelocity field.

void VnUartPacket_parseDeltaThetaAndDeltaVelocityConfiguration | ( | VnUartPacket * | packet,
|  | uint8_t * | integrationFrame,
|  | uint8_t * | gyroCompensation,
|  | uint8_t * | accelCompensation,
|  | uint8_t * | reserved1,
|  | uint16_t * | reserved2
| ) |  |

Parses a response from reading the Delta Theta and Delta Velocity Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | integrationFrame | The register's IntegrationFrame field.
  [out] | gyroCompensation | The register's GyroCompensation field.
  [out] | accelCompensation | The register's AccelCompensation field.
  [out] | reserved1 | The register's Reserved1 field.
  [out] | reserved2 | The register's Reserved2 field.

void VnUartPacket_parseDeltaThetaAndDeltaVelocityConfigurationRaw | ( | char * | packet,
|  | uint8_t * | integrationFrame,
|  | uint8_t * | gyroCompensation,
|  | uint8_t * | accelCompensation,
|  | uint8_t * | reserved1,
|  | uint16_t * | reserved2
| ) |  |

Parses a response from reading the Delta Theta and Delta Velocity Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | integrationFrame | The register's IntegrationFrame field.
  [out] | gyroCompensation | The register's GyroCompensation field.
  [out] | accelCompensation | The register's AccelCompensation field.
  [out] | reserved1 | The register's Reserved1 field.
  [out] | reserved2 | The register's Reserved2 field.

void VnUartPacket_parseDeltaThetaAndDeltaVelocityRaw | ( | char * | packet,
|  | float * | deltaTime,
|  | vec3f * | deltaTheta,
|  | vec3f * | deltaVelocity
| ) |  |

Parses a response from reading the Delta Theta and Delta Velocity register.

Parameters

  [in] | packet | The associated packet.
  [out] | deltaTime | The register's DeltaTime field.
  [out] | deltaTheta | The register's DeltaTheta field.
  [out] | deltaVelocity | The register's DeltaVelocity field.

void VnUartPacket_parseError | ( | VnUartPacket * | packet,
|  | uint8_t * | error
| ) |  |

Parses an error packet to get the error type.

Parameters

  [in] | packet | The associated packet.
  [out] | error | The reported error.

Examples:
  getting_started/main.c.

void VnUartPacket_parseErrorRaw | ( | uint8_t * | packet,
|  | uint8_t * | error
| ) |  |

Parses an error packet to get the error type.

Parameters

  [in] | packet | The associated packet.
  [out] | error | The reported error.

void VnUartPacket_parseFilterActiveTuningParameters | ( | VnUartPacket * | packet,
|  | float * | magneticDisturbanceGain,
|  | float * | accelerationDisturbanceGain,
|  | float * | magneticDisturbanceMemory,
|  | float * | accelerationDisturbanceMemory
| ) |  |

Parses a response from reading the Filter Active Tuning Parameters register.

Parameters

  [in] | packet | The associated packet.
  [out] | magneticDisturbanceGain | The register's Magnetic Disturbance Gain field.
  [out] | accelerationDisturbanceGain | The register's Acceleration Disturbance Gain field.
  [out] | magneticDisturbanceMemory | The register's Magnetic Disturbance Memory field.
  [out] | accelerationDisturbanceMemory | The register's Acceleration Disturbance Memory field.

void VnUartPacket_parseFilterActiveTuningParametersRaw | ( | char * | packet,
|  | float * | magneticDisturbanceGain,
|  | float * | accelerationDisturbanceGain,
|  | float * | magneticDisturbanceMemory,
|  | float * | accelerationDisturbanceMemory
| ) |  |

Parses a response from reading the Filter Active Tuning Parameters register.

Parameters

  [in] | packet | The associated packet.
  [out] | magneticDisturbanceGain | The register's Magnetic Disturbance Gain field.
  [out] | accelerationDisturbanceGain | The register's Acceleration Disturbance Gain field.
  [out] | magneticDisturbanceMemory | The register's Magnetic Disturbance Memory field.
  [out] | accelerationDisturbanceMemory | The register's Acceleration Disturbance Memory field.

void VnUartPacket_parseFilterBasicControl | ( | VnUartPacket * | packet,
|  | uint8_t * | magMode,
|  | uint8_t * | extMagMode,
|  | uint8_t * | extAccMode,
|  | uint8_t * | extGyroMode,
|  | vec3f * | gyroLimit
| ) |  |

Parses a response from reading the Filter Basic Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | magMode | The register's MagMode field.
  [out] | extMagMode | The register's ExtMagMode field.
  [out] | extAccMode | The register's ExtAccMode field.
  [out] | extGyroMode | The register's ExtGyroMode field.
  [out] | gyroLimit | The register's GyroLimit field.

void VnUartPacket_parseFilterBasicControlRaw | ( | char * | packet,
|  | uint8_t * | magMode,
|  | uint8_t * | extMagMode,
|  | uint8_t * | extAccMode,
|  | uint8_t * | extGyroMode,
|  | vec3f * | gyroLimit
| ) |  |

Parses a response from reading the Filter Basic Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | magMode | The register's MagMode field.
  [out] | extMagMode | The register's ExtMagMode field.
  [out] | extAccMode | The register's ExtAccMode field.
  [out] | extGyroMode | The register's ExtGyroMode field.
  [out] | gyroLimit | The register's GyroLimit field.

void VnUartPacket_parseFilterMeasurementsVarianceParameters | ( | VnUartPacket * | packet,
|  | float * | angularWalkVariance,
|  | vec3f * | angularRateVariance,
|  | vec3f * | magneticVariance,
|  | vec3f * | accelerationVariance
| ) |  |

Parses a response from reading the Filter Measurements Variance Parameters register.

Parameters

  [in] | packet | The associated packet.
  [out] | angularWalkVariance | The register's Angular Walk Variance field.
  [out] | angularRateVariance | The register's Angular Rate Variance field.
  [out] | magneticVariance | The register's Magnetic Variance field.
  [out] | accelerationVariance | The register's Acceleration Variance field.

void VnUartPacket_parseFilterMeasurementsVarianceParametersRaw | ( | char * | packet,
|  | float * | angularWalkVariance,
|  | vec3f * | angularRateVariance,
|  | vec3f * | magneticVariance,
|  | vec3f * | accelerationVariance
| ) |  |

Parses a response from reading the Filter Measurements Variance Parameters register.

Parameters

  [in] | packet | The associated packet.
  [out] | angularWalkVariance | The register's Angular Walk Variance field.
  [out] | angularRateVariance | The register's Angular Rate Variance field.
  [out] | magneticVariance | The register's Magnetic Variance field.
  [out] | accelerationVariance | The register's Acceleration Variance field.

void VnUartPacket_parseFilterStartupGyroBias | ( | VnUartPacket * | packet,
|  | vec3f * | bias
| ) |  |

Parses a response from reading the Filter Startup Gyro Bias register.

Parameters

  [in] | packet | The associated packet.
  [out] | bias | The register's Bias field.

void VnUartPacket_parseFilterStartupGyroBiasRaw | ( | char * | packet,
|  | vec3f * | bias
| ) |  |

Parses a response from reading the Filter Startup Gyro Bias register.

Parameters

  [in] | packet | The associated packet.
  [out] | bias | The register's Bias field.

void VnUartPacket_parseFirmwareVersion | ( | VnUartPacket * | packet,
|  | char * | firmwareVersion
| ) |  |

Parses a response from reading the Firmware Version register.

Parameters

  [in] | packet | The associated packet.
  [out] | firmwareVersion | The register's Firmware Version field.

void VnUartPacket_parseFirmwareVersionRaw | ( | char * | packet,
|  | char * | firmwareVersion
| ) |  |

Parses a response from reading the Firmware Version register.

Parameters

  [in] | packet | The associated packet.
  [out] | firmwareVersion | The register's Firmware Version field.

void VnUartPacket_parseGpsAntennaOffset | ( | VnUartPacket * | packet,
|  | vec3f * | position
| ) |  |

Parses a response from reading the GPS Antenna Offset register.

Parameters

  [in] | packet | The associated packet.
  [out] | position | The register's Position field.

void VnUartPacket_parseGpsAntennaOffsetRaw | ( | char * | packet,
|  | vec3f * | position
| ) |  |

Parses a response from reading the GPS Antenna Offset register.

Parameters

  [in] | packet | The associated packet.
  [out] | position | The register's Position field.

void VnUartPacket_parseGpsCompassBaseline | ( | VnUartPacket * | packet,
|  | vec3f * | position,
|  | vec3f * | uncertainty
| ) |  |

Parses a response from reading the GPS Compass Baseline register.

Parameters

  [in] | packet | The associated packet.
  [out] | position | The register's Position field.
  [out] | uncertainty | The register's Uncertainty field.

void VnUartPacket_parseGpsCompassBaselineRaw | ( | char * | packet,
|  | vec3f * | position,
|  | vec3f * | uncertainty
| ) |  |

Parses a response from reading the GPS Compass Baseline register.

Parameters

  [in] | packet | The associated packet.
  [out] | position | The register's Position field.
  [out] | uncertainty | The register's Uncertainty field.

void VnUartPacket_parseGpsCompassEstimatedBaseline | ( | VnUartPacket * | packet,
|  | uint8_t * | estBaselineUsed,
|  | uint8_t * | resv,
|  | uint16_t * | numMeas,
|  | vec3f * | position,
|  | vec3f * | uncertainty
| ) |  |

Parses a response from reading the GPS Compass Estimated Baseline register.

Parameters

  [in] | packet | The associated packet.
  [out] | estBaselineUsed | The register's EstBaselineUsed field.
  [out] | resv | The register's Resv field.
  [out] | numMeas | The register's NumMeas field.
  [out] | position | The register's Position field.
  [out] | uncertainty | The register's Uncertainty field.

void VnUartPacket_parseGpsCompassEstimatedBaselineRaw | ( | char * | packet,
|  | uint8_t * | estBaselineUsed,
|  | uint8_t * | resv,
|  | uint16_t * | numMeas,
|  | vec3f * | position,
|  | vec3f * | uncertainty
| ) |  |

Parses a response from reading the GPS Compass Estimated Baseline register.

Parameters

  [in] | packet | The associated packet.
  [out] | estBaselineUsed | The register's EstBaselineUsed field.
  [out] | resv | The register's Resv field.
  [out] | numMeas | The register's NumMeas field.
  [out] | position | The register's Position field.
  [out] | uncertainty | The register's Uncertainty field.

void VnUartPacket_parseGpsConfiguration | ( | VnUartPacket * | packet,
|  | uint8_t * | mode,
|  | uint8_t * | ppsSource,
|  | uint8_t * | reserved1,
|  | uint8_t * | reserved2,
|  | uint8_t * | reserved3
| ) |  |

Parses a response from reading the GPS Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | mode | The register's Mode field.
  [out] | ppsSource | The register's PpsSource field.
  [out] | reserved1 | The register's Reserved1 field.
  [out] | reserved2 | The register's Reserved2 field.
  [out] | reserved3 | The register's Reserved3 field.

void VnUartPacket_parseGpsConfigurationRaw | ( | char * | packet,
|  | uint8_t * | mode,
|  | uint8_t * | ppsSource,
|  | uint8_t * | reserved1,
|  | uint8_t * | reserved2,
|  | uint8_t * | reserved3
| ) |  |

Parses a response from reading the GPS Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | mode | The register's Mode field.
  [out] | ppsSource | The register's PpsSource field.
  [out] | reserved1 | The register's Reserved1 field.
  [out] | reserved2 | The register's Reserved2 field.
  [out] | reserved3 | The register's Reserved3 field.

void VnUartPacket_parseGpsSolutionEcef | ( | VnUartPacket * | packet,
|  | double * | tow,
|  | uint16_t * | week,
|  | uint8_t * | gpsFix,
|  | uint8_t * | numSats,
|  | vec3d * | position,
|  | vec3f * | velocity,
|  | vec3f * | posAcc,
|  | float * | speedAcc,
|  | float * | timeAcc
| ) |  |

Parses a response from reading the GPS Solution - ECEF register.

Parameters

  [in] | packet | The associated packet.
  [out] | tow | The register's Tow field.
  [out] | week | The register's Week field.
  [out] | gpsFix | The register's GpsFix field.
  [out] | numSats | The register's NumSats field.
  [out] | position | The register's Position field.
  [out] | velocity | The register's Velocity field.
  [out] | posAcc | The register's PosAcc field.
  [out] | speedAcc | The register's SpeedAcc field.
  [out] | timeAcc | The register's TimeAcc field.

void VnUartPacket_parseGpsSolutionEcefRaw | ( | char * | packet,
|  | double * | tow,
|  | uint16_t * | week,
|  | uint8_t * | gpsFix,
|  | uint8_t * | numSats,
|  | vec3d * | position,
|  | vec3f * | velocity,
|  | vec3f * | posAcc,
|  | float * | speedAcc,
|  | float * | timeAcc
| ) |  |

Parses a response from reading the GPS Solution - ECEF register.

Parameters

  [in] | packet | The associated packet.
  [out] | tow | The register's Tow field.
  [out] | week | The register's Week field.
  [out] | gpsFix | The register's GpsFix field.
  [out] | numSats | The register's NumSats field.
  [out] | position | The register's Position field.
  [out] | velocity | The register's Velocity field.
  [out] | posAcc | The register's PosAcc field.
  [out] | speedAcc | The register's SpeedAcc field.
  [out] | timeAcc | The register's TimeAcc field.

void VnUartPacket_parseGpsSolutionLla | ( | VnUartPacket * | packet,
|  | double * | time,
|  | uint16_t * | week,
|  | uint8_t * | gpsFix,
|  | uint8_t * | numSats,
|  | vec3d * | lla,
|  | vec3f * | nedVel,
|  | vec3f * | nedAcc,
|  | float * | speedAcc,
|  | float * | timeAcc
| ) |  |

Parses a response from reading the GPS Solution - LLA register.

Parameters

  [in] | packet | The associated packet.
  [out] | time | The register's Time field.
  [out] | week | The register's Week field.
  [out] | gpsFix | The register's GpsFix field.
  [out] | numSats | The register's NumSats field.
  [out] | lla | The register's Lla field.
  [out] | nedVel | The register's NedVel field.
  [out] | nedAcc | The register's NedAcc field.
  [out] | speedAcc | The register's SpeedAcc field.
  [out] | timeAcc | The register's TimeAcc field.

void VnUartPacket_parseGpsSolutionLlaRaw | ( | char * | packet,
|  | double * | time,
|  | uint16_t * | week,
|  | uint8_t * | gpsFix,
|  | uint8_t * | numSats,
|  | vec3d * | lla,
|  | vec3f * | nedVel,
|  | vec3f * | nedAcc,
|  | float * | speedAcc,
|  | float * | timeAcc
| ) |  |

Parses a response from reading the GPS Solution - LLA register.

Parameters

  [in] | packet | The associated packet.
  [out] | time | The register's Time field.
  [out] | week | The register's Week field.
  [out] | gpsFix | The register's GpsFix field.
  [out] | numSats | The register's NumSats field.
  [out] | lla | The register's Lla field.
  [out] | nedVel | The register's NedVel field.
  [out] | nedAcc | The register's NedAcc field.
  [out] | speedAcc | The register's SpeedAcc field.
  [out] | timeAcc | The register's TimeAcc field.

void VnUartPacket_parseGyroCompensation | ( | VnUartPacket * | packet,
|  | mat3f * | c,
|  | vec3f * | b
| ) |  |

Parses a response from reading the Gyro Compensation register.

Parameters

  [in] | packet | The associated packet.
  [out] | c | The register's C field.
  [out] | b | The register's B field.

void VnUartPacket_parseGyroCompensationRaw | ( | char * | packet,
|  | mat3f * | c,
|  | vec3f * | b
| ) |  |

Parses a response from reading the Gyro Compensation register.

Parameters

  [in] | packet | The associated packet.
  [out] | c | The register's C field.
  [out] | b | The register's B field.

void VnUartPacket_parseHardwareRevision | ( | VnUartPacket * | packet,
|  | uint32_t * | revision
| ) |  |

Parses a response from reading the Hardware Revision register.

Parameters

  [in] | packet | The associated packet.
  [out] | revision | The register's Revision field.

void VnUartPacket_parseHardwareRevisionRaw | ( | char * | packet,
|  | uint32_t * | revision
| ) |  |

Parses a response from reading the Hardware Revision register.

Parameters

  [in] | packet | The associated packet.
  [out] | revision | The register's Revision field.

void VnUartPacket_parseImuFilteringConfiguration | ( | VnUartPacket * | packet,
|  | uint16_t * | magWindowSize,
|  | uint16_t * | accelWindowSize,
|  | uint16_t * | gyroWindowSize,
|  | uint16_t * | tempWindowSize,
|  | uint16_t * | presWindowSize,
|  | uint8_t * | magFilterMode,
|  | uint8_t * | accelFilterMode,
|  | uint8_t * | gyroFilterMode,
|  | uint8_t * | tempFilterMode,
|  | uint8_t * | presFilterMode
| ) |  |

Parses a response from reading the IMU Filtering Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | magWindowSize | The register's MagWindowSize field.
  [out] | accelWindowSize | The register's AccelWindowSize field.
  [out] | gyroWindowSize | The register's GyroWindowSize field.
  [out] | tempWindowSize | The register's TempWindowSize field.
  [out] | presWindowSize | The register's PresWindowSize field.
  [out] | magFilterMode | The register's MagFilterMode field.
  [out] | accelFilterMode | The register's AccelFilterMode field.
  [out] | gyroFilterMode | The register's GyroFilterMode field.
  [out] | tempFilterMode | The register's TempFilterMode field.
  [out] | presFilterMode | The register's PresFilterMode field.

void VnUartPacket_parseImuFilteringConfigurationRaw | ( | char * | packet,
|  | uint16_t * | magWindowSize,
|  | uint16_t * | accelWindowSize,
|  | uint16_t * | gyroWindowSize,
|  | uint16_t * | tempWindowSize,
|  | uint16_t * | presWindowSize,
|  | uint8_t * | magFilterMode,
|  | uint8_t * | accelFilterMode,
|  | uint8_t * | gyroFilterMode,
|  | uint8_t * | tempFilterMode,
|  | uint8_t * | presFilterMode
| ) |  |

Parses a response from reading the IMU Filtering Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | magWindowSize | The register's MagWindowSize field.
  [out] | accelWindowSize | The register's AccelWindowSize field.
  [out] | gyroWindowSize | The register's GyroWindowSize field.
  [out] | tempWindowSize | The register's TempWindowSize field.
  [out] | presWindowSize | The register's PresWindowSize field.
  [out] | magFilterMode | The register's MagFilterMode field.
  [out] | accelFilterMode | The register's AccelFilterMode field.
  [out] | gyroFilterMode | The register's GyroFilterMode field.
  [out] | tempFilterMode | The register's TempFilterMode field.
  [out] | presFilterMode | The register's PresFilterMode field.

void VnUartPacket_parseImuMeasurements | ( | VnUartPacket * | packet,
|  | vec3f * | mag,
|  | vec3f * | accel,
|  | vec3f * | gyro,
|  | float * | temp,
|  | float * | pressure
| ) |  |

Parses a response from reading the IMU Measurements register.

Parameters

  [in] | packet | The associated packet.
  [out] | mag | The register's Mag field.
  [out] | accel | The register's Accel field.
  [out] | gyro | The register's Gyro field.
  [out] | temp | The register's Temp field.
  [out] | pressure | The register's Pressure field.

void VnUartPacket_parseImuMeasurementsRaw | ( | char * | packet,
|  | vec3f * | mag,
|  | vec3f * | accel,
|  | vec3f * | gyro,
|  | float * | temp,
|  | float * | pressure
| ) |  |

Parses a response from reading the IMU Measurements register.

Parameters

  [in] | packet | The associated packet.
  [out] | mag | The register's Mag field.
  [out] | accel | The register's Accel field.
  [out] | gyro | The register's Gyro field.
  [out] | temp | The register's Temp field.
  [out] | pressure | The register's Pressure field.

void VnUartPacket_parseImuRateConfiguration | ( | VnUartPacket * | packet,
|  | uint16_t * | imuRate,
|  | uint16_t * | navDivisor,
|  | float * | filterTargetRate,
|  | float * | filterMinRate
| ) |  |

Parses a response from reading the IMU Rate Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | imuRate | The register's imuRate field.
  [out] | navDivisor | The register's NavDivisor field.
  [out] | filterTargetRate | The register's filterTargetRate field.
  [out] | filterMinRate | The register's filterMinRate field.

void VnUartPacket_parseImuRateConfigurationRaw | ( | char * | packet,
|  | uint16_t * | imuRate,
|  | uint16_t * | navDivisor,
|  | float * | filterTargetRate,
|  | float * | filterMinRate
| ) |  |

Parses a response from reading the IMU Rate Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | imuRate | The register's imuRate field.
  [out] | navDivisor | The register's NavDivisor field.
  [out] | filterTargetRate | The register's filterTargetRate field.
  [out] | filterMinRate | The register's filterMinRate field.

void VnUartPacket_parseIndoorHeadingModeControl | ( | VnUartPacket * | packet,
|  | float * | maxRateError,
|  | uint8_t * | reserved1
| ) |  |

Parses a response from reading the Indoor Heading Mode Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | maxRateError | The register's Max Rate Error field.
  [out] | reserved1 | The register's Reserved1 field.

void VnUartPacket_parseIndoorHeadingModeControlRaw | ( | char * | packet,
|  | float * | maxRateError,
|  | uint8_t * | reserved1
| ) |  |

Parses a response from reading the Indoor Heading Mode Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | maxRateError | The register's Max Rate Error field.
  [out] | reserved1 | The register's Reserved1 field.

void VnUartPacket_parseInsAdvancedConfiguration | ( | VnUartPacket * | packet,
|  | uint8_t * | useMag,
|  | uint8_t * | usePres,
|  | uint8_t * | posAtt,
|  | uint8_t * | velAtt,
|  | uint8_t * | velBias,
|  | uint8_t * | useFoam,
|  | uint8_t * | gpsCovType,
|  | uint8_t * | velCount,
|  | float * | velInit,
|  | float * | moveOrigin,
|  | float * | gpsTimeout,
|  | float * | deltaLimitPos,
|  | float * | deltaLimitVel,
|  | float * | minPosUncertainty,
|  | float * | minVelUncertainty
| ) |  |

Parses a response from reading the INS Advanced Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | useMag | The register's UseMag field.
  [out] | usePres | The register's UsePres field.
  [out] | posAtt | The register's PosAtt field.
  [out] | velAtt | The register's VelAtt field.
  [out] | velBias | The register's VelBias field.
  [out] | useFoam | The register's UseFoam field.
  [out] | gpsCovType | The register's GPSCovType field.
  [out] | velCount | The register's VelCount field.
  [out] | velInit | The register's VelInit field.
  [out] | moveOrigin | The register's MoveOrigin field.
  [out] | gpsTimeout | The register's GPSTimeout field.
  [out] | deltaLimitPos | The register's DeltaLimitPos field.
  [out] | deltaLimitVel | The register's DeltaLimitVel field.
  [out] | minPosUncertainty | The register's MinPosUncertainty field.
  [out] | minVelUncertainty | The register's MinVelUncertainty field.

void VnUartPacket_parseInsAdvancedConfigurationRaw | ( | char * | packet,
|  | uint8_t * | useMag,
|  | uint8_t * | usePres,
|  | uint8_t * | posAtt,
|  | uint8_t * | velAtt,
|  | uint8_t * | velBias,
|  | uint8_t * | useFoam,
|  | uint8_t * | gpsCovType,
|  | uint8_t * | velCount,
|  | float * | velInit,
|  | float * | moveOrigin,
|  | float * | gpsTimeout,
|  | float * | deltaLimitPos,
|  | float * | deltaLimitVel,
|  | float * | minPosUncertainty,
|  | float * | minVelUncertainty
| ) |  |

Parses a response from reading the INS Advanced Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | useMag | The register's UseMag field.
  [out] | usePres | The register's UsePres field.
  [out] | posAtt | The register's PosAtt field.
  [out] | velAtt | The register's VelAtt field.
  [out] | velBias | The register's VelBias field.
  [out] | useFoam | The register's UseFoam field.
  [out] | gpsCovType | The register's GPSCovType field.
  [out] | velCount | The register's VelCount field.
  [out] | velInit | The register's VelInit field.
  [out] | moveOrigin | The register's MoveOrigin field.
  [out] | gpsTimeout | The register's GPSTimeout field.
  [out] | deltaLimitPos | The register's DeltaLimitPos field.
  [out] | deltaLimitVel | The register's DeltaLimitVel field.
  [out] | minPosUncertainty | The register's MinPosUncertainty field.
  [out] | minVelUncertainty | The register's MinVelUncertainty field.

void VnUartPacket_parseInsBasicConfiguration | ( | VnUartPacket * | packet,
|  | uint8_t * | scenario,
|  | uint8_t * | ahrsAiding,
|  | uint8_t * | estBaseline,
|  | uint8_t * | resv2
| ) |  |

Parses a response from reading the INS Basic Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | scenario | The register's Scenario field.
  [out] | ahrsAiding | The register's AhrsAiding field.
  [out] | estBaseline | The register's EstBaseline field.
  [out] | resv2 | The register's Resv2 field.

void VnUartPacket_parseInsBasicConfigurationRaw | ( | char * | packet,
|  | uint8_t * | scenario,
|  | uint8_t * | ahrsAiding,
|  | uint8_t * | estBaseline,
|  | uint8_t * | resv2
| ) |  |

Parses a response from reading the INS Basic Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | scenario | The register's Scenario field.
  [out] | ahrsAiding | The register's AhrsAiding field.
  [out] | estBaseline | The register's EstBaseline field.
  [out] | resv2 | The register's Resv2 field.

void VnUartPacket_parseInsSolutionEcef | ( | VnUartPacket * | packet,
|  | double * | time,
|  | uint16_t * | week,
|  | uint16_t * | status,
|  | vec3f * | yawPitchRoll,
|  | vec3d * | position,
|  | vec3f * | velocity,
|  | float * | attUncertainty,
|  | float * | posUncertainty,
|  | float * | velUncertainty
| ) |  |

Parses a response from reading the INS Solution - ECEF register.

Parameters

  [in] | packet | The associated packet.
  [out] | time | The register's Time field.
  [out] | week | The register's Week field.
  [out] | status | The register's Status field.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | position | The register's Position field.
  [out] | velocity | The register's Velocity field.
  [out] | attUncertainty | The register's AttUncertainty field.
  [out] | posUncertainty | The register's PosUncertainty field.
  [out] | velUncertainty | The register's VelUncertainty field.

void VnUartPacket_parseInsSolutionEcefRaw | ( | char * | packet,
|  | double * | time,
|  | uint16_t * | week,
|  | uint16_t * | status,
|  | vec3f * | yawPitchRoll,
|  | vec3d * | position,
|  | vec3f * | velocity,
|  | float * | attUncertainty,
|  | float * | posUncertainty,
|  | float * | velUncertainty
| ) |  |

Parses a response from reading the INS Solution - ECEF register.

Parameters

  [in] | packet | The associated packet.
  [out] | time | The register's Time field.
  [out] | week | The register's Week field.
  [out] | status | The register's Status field.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | position | The register's Position field.
  [out] | velocity | The register's Velocity field.
  [out] | attUncertainty | The register's AttUncertainty field.
  [out] | posUncertainty | The register's PosUncertainty field.
  [out] | velUncertainty | The register's VelUncertainty field.

void VnUartPacket_parseInsSolutionLla | ( | VnUartPacket * | packet,
|  | double * | time,
|  | uint16_t * | week,
|  | uint16_t * | status,
|  | vec3f * | yawPitchRoll,
|  | vec3d * | position,
|  | vec3f * | nedVel,
|  | float * | attUncertainty,
|  | float * | posUncertainty,
|  | float * | velUncertainty
| ) |  |

Parses a response from reading the INS Solution - LLA register.

Parameters

  [in] | packet | The associated packet.
  [out] | time | The register's Time field.
  [out] | week | The register's Week field.
  [out] | status | The register's Status field.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | position | The register's Position field.
  [out] | nedVel | The register's NedVel field.
  [out] | attUncertainty | The register's AttUncertainty field.
  [out] | posUncertainty | The register's PosUncertainty field.
  [out] | velUncertainty | The register's VelUncertainty field.

void VnUartPacket_parseInsSolutionLlaRaw | ( | char * | packet,
|  | double * | time,
|  | uint16_t * | week,
|  | uint16_t * | status,
|  | vec3f * | yawPitchRoll,
|  | vec3d * | position,
|  | vec3f * | nedVel,
|  | float * | attUncertainty,
|  | float * | posUncertainty,
|  | float * | velUncertainty
| ) |  |

Parses a response from reading the INS Solution - LLA register.

Parameters

  [in] | packet | The associated packet.
  [out] | time | The register's Time field.
  [out] | week | The register's Week field.
  [out] | status | The register's Status field.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | position | The register's Position field.
  [out] | nedVel | The register's NedVel field.
  [out] | attUncertainty | The register's AttUncertainty field.
  [out] | posUncertainty | The register's PosUncertainty field.
  [out] | velUncertainty | The register's VelUncertainty field.

void VnUartPacket_parseInsStateEcef | ( | VnUartPacket * | packet,
|  | vec3f * | yawPitchRoll,
|  | vec3d * | position,
|  | vec3f * | velocity,
|  | vec3f * | accel,
|  | vec3f * | angularRate
| ) |  |

Parses a response from reading the INS State - ECEF register.

Parameters

  [in] | packet | The associated packet.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | position | The register's Position field.
  [out] | velocity | The register's Velocity field.
  [out] | accel | The register's Accel field.
  [out] | angularRate | The register's AngularRate field.

void VnUartPacket_parseInsStateEcefRaw | ( | char * | packet,
|  | vec3f * | yawPitchRoll,
|  | vec3d * | position,
|  | vec3f * | velocity,
|  | vec3f * | accel,
|  | vec3f * | angularRate
| ) |  |

Parses a response from reading the INS State - ECEF register.

Parameters

  [in] | packet | The associated packet.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | position | The register's Position field.
  [out] | velocity | The register's Velocity field.
  [out] | accel | The register's Accel field.
  [out] | angularRate | The register's AngularRate field.

void VnUartPacket_parseInsStateLla | ( | VnUartPacket * | packet,
|  | vec3f * | yawPitchRoll,
|  | vec3d * | position,
|  | vec3f * | velocity,
|  | vec3f * | accel,
|  | vec3f * | angularRate
| ) |  |

Parses a response from reading the INS State - LLA register.

Parameters

  [in] | packet | The associated packet.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | position | The register's Position field.
  [out] | velocity | The register's Velocity field.
  [out] | accel | The register's Accel field.
  [out] | angularRate | The register's AngularRate field.

void VnUartPacket_parseInsStateLlaRaw | ( | char * | packet,
|  | vec3f * | yawPitchRoll,
|  | vec3d * | position,
|  | vec3f * | velocity,
|  | vec3f * | accel,
|  | vec3f * | angularRate
| ) |  |

Parses a response from reading the INS State - LLA register.

Parameters

  [in] | packet | The associated packet.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | position | The register's Position field.
  [out] | velocity | The register's Velocity field.
  [out] | accel | The register's Accel field.
  [out] | angularRate | The register's AngularRate field.

void VnUartPacket_parseMagneticAccelerationAndAngularRates | ( | VnUartPacket * | packet,
|  | vec3f * | mag,
|  | vec3f * | accel,
|  | vec3f * | gyro
| ) |  |

Parses a response from reading the Magnetic, Acceleration and Angular Rates register.

Parameters

  [in] | packet | The associated packet.
  [out] | mag | The register's Mag field.
  [out] | accel | The register's Accel field.
  [out] | gyro | The register's Gyro field.

void VnUartPacket_parseMagneticAccelerationAndAngularRatesRaw | ( | char * | packet,
|  | vec3f * | mag,
|  | vec3f * | accel,
|  | vec3f * | gyro
| ) |  |

Parses a response from reading the Magnetic, Acceleration and Angular Rates register.

Parameters

  [in] | packet | The associated packet.
  [out] | mag | The register's Mag field.
  [out] | accel | The register's Accel field.
  [out] | gyro | The register's Gyro field.

void VnUartPacket_parseMagneticAndGravityReferenceVectors | ( | VnUartPacket * | packet,
|  | vec3f * | magRef,
|  | vec3f * | accRef
| ) |  |

Parses a response from reading the Magnetic and Gravity Reference Vectors register.

Parameters

  [in] | packet | The associated packet.
  [out] | magRef | The register's MagRef field.
  [out] | accRef | The register's AccRef field.

void VnUartPacket_parseMagneticAndGravityReferenceVectorsRaw | ( | char * | packet,
|  | vec3f * | magRef,
|  | vec3f * | accRef
| ) |  |

Parses a response from reading the Magnetic and Gravity Reference Vectors register.

Parameters

  [in] | packet | The associated packet.
  [out] | magRef | The register's MagRef field.
  [out] | accRef | The register's AccRef field.

void VnUartPacket_parseMagneticMeasurements | ( | VnUartPacket * | packet,
|  | vec3f * | mag
| ) |  |

Parses a response from reading the Magnetic Measurements register.

Parameters

  [in] | packet | The associated packet.
  [out] | mag | The register's Mag field.

void VnUartPacket_parseMagneticMeasurementsRaw | ( | char * | packet,
|  | vec3f * | mag
| ) |  |

Parses a response from reading the Magnetic Measurements register.

Parameters

  [in] | packet | The associated packet.
  [out] | mag | The register's Mag field.

void VnUartPacket_parseMagnetometerCalibrationControl | ( | VnUartPacket * | packet,
|  | uint8_t * | hsiMode,
|  | uint8_t * | hsiOutput,
|  | uint8_t * | convergeRate
| ) |  |

Parses a response from reading the Magnetometer Calibration Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | hsiMode | The register's HSIMode field.
  [out] | hsiOutput | The register's HSIOutput field.
  [out] | convergeRate | The register's ConvergeRate field.

void VnUartPacket_parseMagnetometerCalibrationControlRaw | ( | char * | packet,
|  | uint8_t * | hsiMode,
|  | uint8_t * | hsiOutput,
|  | uint8_t * | convergeRate
| ) |  |

Parses a response from reading the Magnetometer Calibration Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | hsiMode | The register's HSIMode field.
  [out] | hsiOutput | The register's HSIOutput field.
  [out] | convergeRate | The register's ConvergeRate field.

void VnUartPacket_parseMagnetometerCompensation | ( | VnUartPacket * | packet,
|  | mat3f * | c,
|  | vec3f * | b
| ) |  |

Parses a response from reading the Magnetometer Compensation register.

Parameters

  [in] | packet | The associated packet.
  [out] | c | The register's C field.
  [out] | b | The register's B field.

void VnUartPacket_parseMagnetometerCompensationRaw | ( | char * | packet,
|  | mat3f * | c,
|  | vec3f * | b
| ) |  |

Parses a response from reading the Magnetometer Compensation register.

Parameters

  [in] | packet | The associated packet.
  [out] | c | The register's C field.
  [out] | b | The register's B field.

void VnUartPacket_parseModelNumber | ( | VnUartPacket * | packet,
|  | char * | productName
| ) |  |

Parses a response from reading the Model Number register.

Parameters

  [in] | packet | The associated packet.
  [out] | productName | The register's Product Name field.

Examples:
  getting_started/main.c.

void VnUartPacket_parseModelNumberRaw | ( | char * | packet,
|  | char * | productName
| ) |  |

Parses a response from reading the Model Number register.

Parameters

  [in] | packet | The associated packet.
  [out] | productName | The register's Product Name field.

void VnUartPacket_parseQuaternionMagneticAccelerationAndAngularRates | ( | VnUartPacket * | packet,
|  | vec4f * | quat,
|  | vec3f * | mag,
|  | vec3f * | accel,
|  | vec3f * | gyro
| ) |  |

Parses a response from reading the Quaternion, Magnetic, Acceleration and Angular Rates register.

Parameters

  [in] | packet | The associated packet.
  [out] | quat | The register's Quat field.
  [out] | mag | The register's Mag field.
  [out] | accel | The register's Accel field.
  [out] | gyro | The register's Gyro field.

void VnUartPacket_parseQuaternionMagneticAccelerationAndAngularRatesRaw | ( | char * | packet,
|  | vec4f * | quat,
|  | vec3f * | mag,
|  | vec3f * | accel,
|  | vec3f * | gyro
| ) |  |

Parses a response from reading the Quaternion, Magnetic, Acceleration and Angular Rates register.

Parameters

  [in] | packet | The associated packet.
  [out] | quat | The register's Quat field.
  [out] | mag | The register's Mag field.
  [out] | accel | The register's Accel field.
  [out] | gyro | The register's Gyro field.

void VnUartPacket_parseReferenceFrameRotation | ( | VnUartPacket * | packet,
|  | mat3f * | c
| ) |  |

Parses a response from reading the Reference Frame Rotation register.

Parameters

  [in] | packet | The associated packet.
  [out] | c | The register's C field.

void VnUartPacket_parseReferenceFrameRotationRaw | ( | char * | packet,
|  | mat3f * | c
| ) |  |

Parses a response from reading the Reference Frame Rotation register.

Parameters

  [in] | packet | The associated packet.
  [out] | c | The register's C field.

void VnUartPacket_parseReferenceVectorConfiguration | ( | VnUartPacket * | packet,
|  | uint8_t * | useMagModel,
|  | uint8_t * | useGravityModel,
|  | uint8_t * | resv1,
|  | uint8_t * | resv2,
|  | uint32_t * | recalcThreshold,
|  | float * | year,
|  | vec3d * | position
| ) |  |

Parses a response from reading the Reference Vector Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | useMagModel | The register's UseMagModel field.
  [out] | useGravityModel | The register's UseGravityModel field.
  [out] | resv1 | The register's Resv1 field.
  [out] | resv2 | The register's Resv2 field.
  [out] | recalcThreshold | The register's RecalcThreshold field.
  [out] | year | The register's Year field.
  [out] | position | The register's Position field.

void VnUartPacket_parseReferenceVectorConfigurationRaw | ( | char * | packet,
|  | uint8_t * | useMagModel,
|  | uint8_t * | useGravityModel,
|  | uint8_t * | resv1,
|  | uint8_t * | resv2,
|  | uint32_t * | recalcThreshold,
|  | float * | year,
|  | vec3d * | position
| ) |  |

Parses a response from reading the Reference Vector Configuration register.

Parameters

  [in] | packet | The associated packet.
  [out] | useMagModel | The register's UseMagModel field.
  [out] | useGravityModel | The register's UseGravityModel field.
  [out] | resv1 | The register's Resv1 field.
  [out] | resv2 | The register's Resv2 field.
  [out] | recalcThreshold | The register's RecalcThreshold field.
  [out] | year | The register's Year field.
  [out] | position | The register's Position field.

void VnUartPacket_parseSerialBaudRate | ( | VnUartPacket * | packet,
|  | uint32_t * | baudrate
| ) |  |

Parses a response from reading the Serial Baud Rate register.

Parameters

  [in] | packet | The associated packet.
  [out] | baudrate | The register's Baud Rate field.

void VnUartPacket_parseSerialBaudRateRaw | ( | char * | packet,
|  | uint32_t * | baudrate
| ) |  |

Parses a response from reading the Serial Baud Rate register.

Parameters

  [in] | packet | The associated packet.
  [out] | baudrate | The register's Baud Rate field.

void VnUartPacket_parseSerialNumber | ( | VnUartPacket * | packet,
|  | uint32_t * | serialNum
| ) |  |

Parses a response from reading the Serial Number register.

Parameters

  [in] | packet | The associated packet.
  [out] | serialNum | The register's SerialNum field.

void VnUartPacket_parseSerialNumberRaw | ( | char * | packet,
|  | uint32_t * | serialNum
| ) |  |

Parses a response from reading the Serial Number register.

Parameters

  [in] | packet | The associated packet.
  [out] | serialNum | The register's SerialNum field.

void VnUartPacket_parseStartupFilterBiasEstimate | ( | VnUartPacket * | packet,
|  | vec3f * | gyroBias,
|  | vec3f * | accelBias,
|  | float * | pressureBias
| ) |  |

Parses a response from reading the Startup Filter Bias Estimate register.

Parameters

  [in] | packet | The associated packet.
  [out] | gyroBias | The register's GyroBias field.
  [out] | accelBias | The register's AccelBias field.
  [out] | pressureBias | The register's PressureBias field.

void VnUartPacket_parseStartupFilterBiasEstimateRaw | ( | char * | packet,
|  | vec3f * | gyroBias,
|  | vec3f * | accelBias,
|  | float * | pressureBias
| ) |  |

Parses a response from reading the Startup Filter Bias Estimate register.

Parameters

  [in] | packet | The associated packet.
  [out] | gyroBias | The register's GyroBias field.
  [out] | accelBias | The register's AccelBias field.
  [out] | pressureBias | The register's PressureBias field.

void VnUartPacket_parseSynchronizationControl | ( | VnUartPacket * | packet,
|  | uint8_t * | syncInMode,
|  | uint8_t * | syncInEdge,
|  | uint16_t * | syncInSkipFactor,
|  | uint32_t * | reserved1,
|  | uint8_t * | syncOutMode,
|  | uint8_t * | syncOutPolarity,
|  | uint16_t * | syncOutSkipFactor,
|  | uint32_t * | syncOutPulseWidth,
|  | uint32_t * | reserved2
| ) |  |

Parses a response from reading the Synchronization Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | syncInMode | The register's SyncInMode field.
  [out] | syncInEdge | The register's SyncInEdge field.
  [out] | syncInSkipFactor | The register's SyncInSkipFactor field.
  [out] | reserved1 | The register's RESERVED1 field.
  [out] | syncOutMode | The register's SyncOutMode field.
  [out] | syncOutPolarity | The register's SyncOutPolarity field.
  [out] | syncOutSkipFactor | The register's SyncOutSkipFactor field.
  [out] | syncOutPulseWidth | The register's SyncOutPulseWidth field.
  [out] | reserved2 | The register's RESERVED2 field.

void VnUartPacket_parseSynchronizationControlRaw | ( | char * | packet,
|  | uint8_t * | syncInMode,
|  | uint8_t * | syncInEdge,
|  | uint16_t * | syncInSkipFactor,
|  | uint32_t * | reserved1,
|  | uint8_t * | syncOutMode,
|  | uint8_t * | syncOutPolarity,
|  | uint16_t * | syncOutSkipFactor,
|  | uint32_t * | syncOutPulseWidth,
|  | uint32_t * | reserved2
| ) |  |

Parses a response from reading the Synchronization Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | syncInMode | The register's SyncInMode field.
  [out] | syncInEdge | The register's SyncInEdge field.
  [out] | syncInSkipFactor | The register's SyncInSkipFactor field.
  [out] | reserved1 | The register's RESERVED1 field.
  [out] | syncOutMode | The register's SyncOutMode field.
  [out] | syncOutPolarity | The register's SyncOutPolarity field.
  [out] | syncOutSkipFactor | The register's SyncOutSkipFactor field.
  [out] | syncOutPulseWidth | The register's SyncOutPulseWidth field.
  [out] | reserved2 | The register's RESERVED2 field.

void VnUartPacket_parseSynchronizationStatus | ( | VnUartPacket * | packet,
|  | uint32_t * | syncInCount,
|  | uint32_t * | syncInTime,
|  | uint32_t * | syncOutCount
| ) |  |

Parses a response from reading the Synchronization Status register.

Parameters

  [in] | packet | The associated packet.
  [out] | syncInCount | The register's SyncInCount field.
  [out] | syncInTime | The register's SyncInTime field.
  [out] | syncOutCount | The register's SyncOutCount field.

void VnUartPacket_parseSynchronizationStatusRaw | ( | char * | packet,
|  | uint32_t * | syncInCount,
|  | uint32_t * | syncInTime,
|  | uint32_t * | syncOutCount
| ) |  |

Parses a response from reading the Synchronization Status register.

Parameters

  [in] | packet | The associated packet.
  [out] | syncInCount | The register's SyncInCount field.
  [out] | syncInTime | The register's SyncInTime field.
  [out] | syncOutCount | The register's SyncOutCount field.

void VnUartPacket_parseUserTag | ( | VnUartPacket * | packet,
|  | char * | tag
| ) |  |

Parses a response from reading the User Tag register.

Parameters

  [in] | packet | The associated packet.
  [out] | tag | The register's Tag field.

void VnUartPacket_parseUserTagRaw | ( | char * | packet,
|  | char * | tag
| ) |  |

Parses a response from reading the User Tag register.

Parameters

  [in] | packet | The associated packet.
  [out] | tag | The register's Tag field.

void VnUartPacket_parseVelocityCompensationControl | ( | VnUartPacket * | packet,
|  | uint8_t * | mode,
|  | float * | velocityTuning,
|  | float * | rateTuning
| ) |  |

Parses a response from reading the Velocity Compensation Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | mode | The register's Mode field.
  [out] | velocityTuning | The register's VelocityTuning field.
  [out] | rateTuning | The register's RateTuning field.

void VnUartPacket_parseVelocityCompensationControlRaw | ( | char * | packet,
|  | uint8_t * | mode,
|  | float * | velocityTuning,
|  | float * | rateTuning
| ) |  |

Parses a response from reading the Velocity Compensation Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | mode | The register's Mode field.
  [out] | velocityTuning | The register's VelocityTuning field.
  [out] | rateTuning | The register's RateTuning field.

void VnUartPacket_parseVelocityCompensationMeasurement | ( | VnUartPacket * | packet,
|  | vec3f * | velocity
| ) |  |

Parses a response from reading the Velocity Compensation Measurement register.

Parameters

  [in] | packet | The associated packet.
  [out] | velocity | The register's Velocity field.

void VnUartPacket_parseVelocityCompensationMeasurementRaw | ( | char * | packet,
|  | vec3f * | velocity
| ) |  |

Parses a response from reading the Velocity Compensation Measurement register.

Parameters

  [in] | packet | The associated packet.
  [out] | velocity | The register's Velocity field.

void VnUartPacket_parseVelocityCompensationStatus | ( | VnUartPacket * | packet,
|  | float * | x,
|  | float * | xDot,
|  | vec3f * | accelOffset,
|  | vec3f * | omega
| ) |  |

Parses a response from reading the Velocity Compensation Status register.

Parameters

  [in] | packet | The associated packet.
  [out] | x | The register's x field.
  [out] | xDot | The register's xDot field.
  [out] | accelOffset | The register's accelOffset field.
  [out] | omega | The register's omega field.

void VnUartPacket_parseVelocityCompensationStatusRaw | ( | char * | packet,
|  | float * | x,
|  | float * | xDot,
|  | vec3f * | accelOffset,
|  | vec3f * | omega
| ) |  |

Parses a response from reading the Velocity Compensation Status register.

Parameters

  [in] | packet | The associated packet.
  [out] | x | The register's x field.
  [out] | xDot | The register's xDot field.
  [out] | accelOffset | The register's accelOffset field.
  [out] | omega | The register's omega field.

void VnUartPacket_parseVpeAccelerometerAdvancedTuning | ( | VnUartPacket * | packet,
|  | vec3f * | minFiltering,
|  | vec3f * | maxFiltering,
|  | float * | maxAdaptRate,
|  | float * | disturbanceWindow,
|  | float * | maxTuning
| ) |  |

Parses a response from reading the VPE Accelerometer Advanced Tuning register.

Parameters

  [in] | packet | The associated packet.
  [out] | minFiltering | The register's MinFiltering field.
  [out] | maxFiltering | The register's MaxFiltering field.
  [out] | maxAdaptRate | The register's MaxAdaptRate field.
  [out] | disturbanceWindow | The register's DisturbanceWindow field.
  [out] | maxTuning | The register's MaxTuning field.

void VnUartPacket_parseVpeAccelerometerAdvancedTuningRaw | ( | char * | packet,
|  | vec3f * | minFiltering,
|  | vec3f * | maxFiltering,
|  | float * | maxAdaptRate,
|  | float * | disturbanceWindow,
|  | float * | maxTuning
| ) |  |

Parses a response from reading the VPE Accelerometer Advanced Tuning register.

Parameters

  [in] | packet | The associated packet.
  [out] | minFiltering | The register's MinFiltering field.
  [out] | maxFiltering | The register's MaxFiltering field.
  [out] | maxAdaptRate | The register's MaxAdaptRate field.
  [out] | disturbanceWindow | The register's DisturbanceWindow field.
  [out] | maxTuning | The register's MaxTuning field.

void VnUartPacket_parseVpeAccelerometerBasicTuning | ( | VnUartPacket * | packet,
|  | vec3f * | baseTuning,
|  | vec3f * | adaptiveTuning,
|  | vec3f * | adaptiveFiltering
| ) |  |

Parses a response from reading the VPE Accelerometer Basic Tuning register.

Parameters

  [in] | packet | The associated packet.
  [out] | baseTuning | The register's BaseTuning field.
  [out] | adaptiveTuning | The register's AdaptiveTuning field.
  [out] | adaptiveFiltering | The register's AdaptiveFiltering field.

void VnUartPacket_parseVpeAccelerometerBasicTuningRaw | ( | char * | packet,
|  | vec3f * | baseTuning,
|  | vec3f * | adaptiveTuning,
|  | vec3f * | adaptiveFiltering
| ) |  |

Parses a response from reading the VPE Accelerometer Basic Tuning register.

Parameters

  [in] | packet | The associated packet.
  [out] | baseTuning | The register's BaseTuning field.
  [out] | adaptiveTuning | The register's AdaptiveTuning field.
  [out] | adaptiveFiltering | The register's AdaptiveFiltering field.

void VnUartPacket_parseVpeBasicControl | ( | VnUartPacket * | packet,
|  | uint8_t * | enable,
|  | uint8_t * | headingMode,
|  | uint8_t * | filteringMode,
|  | uint8_t * | tuningMode
| ) |  |

Parses a response from reading the VPE Basic Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | enable | The register's Enable field.
  [out] | headingMode | The register's HeadingMode field.
  [out] | filteringMode | The register's FilteringMode field.
  [out] | tuningMode | The register's TuningMode field.

Examples:
  getting_started/main.c.

void VnUartPacket_parseVpeBasicControlRaw | ( | char * | packet,
|  | uint8_t * | enable,
|  | uint8_t * | headingMode,
|  | uint8_t * | filteringMode,
|  | uint8_t * | tuningMode
| ) |  |

Parses a response from reading the VPE Basic Control register.

Parameters

  [in] | packet | The associated packet.
  [out] | enable | The register's Enable field.
  [out] | headingMode | The register's HeadingMode field.
  [out] | filteringMode | The register's FilteringMode field.
  [out] | tuningMode | The register's TuningMode field.

void VnUartPacket_parseVpeGyroBasicTuning | ( | VnUartPacket * | packet,
|  | vec3f * | angularWalkVariance,
|  | vec3f * | baseTuning,
|  | vec3f * | adaptiveTuning
| ) |  |

Parses a response from reading the VPE Gyro Basic Tuning register.

Parameters

  [in] | packet | The associated packet.
  [out] | angularWalkVariance | The register's AngularWalkVariance field.
  [out] | baseTuning | The register's BaseTuning field.
  [out] | adaptiveTuning | The register's AdaptiveTuning field.

void VnUartPacket_parseVpeGyroBasicTuningRaw | ( | char * | packet,
|  | vec3f * | angularWalkVariance,
|  | vec3f * | baseTuning,
|  | vec3f * | adaptiveTuning
| ) |  |

Parses a response from reading the VPE Gyro Basic Tuning register.

Parameters

  [in] | packet | The associated packet.
  [out] | angularWalkVariance | The register's AngularWalkVariance field.
  [out] | baseTuning | The register's BaseTuning field.
  [out] | adaptiveTuning | The register's AdaptiveTuning field.

void VnUartPacket_parseVpeMagnetometerAdvancedTuning | ( | VnUartPacket * | packet,
|  | vec3f * | minFiltering,
|  | vec3f * | maxFiltering,
|  | float * | maxAdaptRate,
|  | float * | disturbanceWindow,
|  | float * | maxTuning
| ) |  |

Parses a response from reading the VPE Magnetometer Advanced Tuning register.

Parameters

  [in] | packet | The associated packet.
  [out] | minFiltering | The register's MinFiltering field.
  [out] | maxFiltering | The register's MaxFiltering field.
  [out] | maxAdaptRate | The register's MaxAdaptRate field.
  [out] | disturbanceWindow | The register's DisturbanceWindow field.
  [out] | maxTuning | The register's MaxTuning field.

void VnUartPacket_parseVpeMagnetometerAdvancedTuningRaw | ( | char * | packet,
|  | vec3f * | minFiltering,
|  | vec3f * | maxFiltering,
|  | float * | maxAdaptRate,
|  | float * | disturbanceWindow,
|  | float * | maxTuning
| ) |  |

Parses a response from reading the VPE Magnetometer Advanced Tuning register.

Parameters

  [in] | packet | The associated packet.
  [out] | minFiltering | The register's MinFiltering field.
  [out] | maxFiltering | The register's MaxFiltering field.
  [out] | maxAdaptRate | The register's MaxAdaptRate field.
  [out] | disturbanceWindow | The register's DisturbanceWindow field.
  [out] | maxTuning | The register's MaxTuning field.

void VnUartPacket_parseVpeMagnetometerBasicTuning | ( | VnUartPacket * | packet,
|  | vec3f * | baseTuning,
|  | vec3f * | adaptiveTuning,
|  | vec3f * | adaptiveFiltering
| ) |  |

Parses a response from reading the VPE Magnetometer Basic Tuning register.

Parameters

  [in] | packet | The associated packet.
  [out] | baseTuning | The register's BaseTuning field.
  [out] | adaptiveTuning | The register's AdaptiveTuning field.
  [out] | adaptiveFiltering | The register's AdaptiveFiltering field.

void VnUartPacket_parseVpeMagnetometerBasicTuningRaw | ( | char * | packet,
|  | vec3f * | baseTuning,
|  | vec3f * | adaptiveTuning,
|  | vec3f * | adaptiveFiltering
| ) |  |

Parses a response from reading the VPE Magnetometer Basic Tuning register.

Parameters

  [in] | packet | The associated packet.
  [out] | baseTuning | The register's BaseTuning field.
  [out] | adaptiveTuning | The register's AdaptiveTuning field.
  [out] | adaptiveFiltering | The register's AdaptiveFiltering field.

void VnUartPacket_parseYawPitchRoll | ( | VnUartPacket * | packet,
|  | vec3f * | yawPitchRoll
| ) |  |

Parses a response from reading the Yaw Pitch Roll register.

Parameters

  [in] | packet | The associated packet.
  [out] | yawPitchRoll | The register's YawPitchRoll field.

void VnUartPacket_parseYawPitchRollMagneticAccelerationAndAngularRates | ( | VnUartPacket * | packet,
|  | vec3f * | yawPitchRoll,
|  | vec3f * | mag,
|  | vec3f * | accel,
|  | vec3f * | gyro
| ) |  |

Parses a response from reading the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register.

Parameters

  [in] | packet | The associated packet.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | mag | The register's Mag field.
  [out] | accel | The register's Accel field.
  [out] | gyro | The register's Gyro field.

void VnUartPacket_parseYawPitchRollMagneticAccelerationAndAngularRatesRaw | ( | char * | packet,
|  | vec3f * | yawPitchRoll,
|  | vec3f * | mag,
|  | vec3f * | accel,
|  | vec3f * | gyro
| ) |  |

Parses a response from reading the Yaw, Pitch, Roll, Magnetic, Acceleration and Angular Rates register.

Parameters

  [in] | packet | The associated packet.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | mag | The register's Mag field.
  [out] | accel | The register's Accel field.
  [out] | gyro | The register's Gyro field.

void VnUartPacket_parseYawPitchRollRaw | ( | char * | packet,
|  | vec3f * | yawPitchRoll
| ) |  |

Parses a response from reading the Yaw Pitch Roll register.

Parameters

  [in] | packet | The associated packet.
  [out] | yawPitchRoll | The register's YawPitchRoll field.

void VnUartPacket_parseYawPitchRollTrueBodyAccelerationAndAngularRates | ( | VnUartPacket * | packet,
|  | vec3f * | yawPitchRoll,
|  | vec3f * | bodyAccel,
|  | vec3f * | gyro
| ) |  |

Parses a response from reading the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register.

Parameters

  [in] | packet | The associated packet.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | bodyAccel | The register's BodyAccel field.
  [out] | gyro | The register's Gyro field.

void VnUartPacket_parseYawPitchRollTrueBodyAccelerationAndAngularRatesRaw | ( | char * | packet,
|  | vec3f * | yawPitchRoll,
|  | vec3f * | bodyAccel,
|  | vec3f * | gyro
| ) |  |

Parses a response from reading the Yaw, Pitch, Roll, True Body Acceleration and Angular Rates register.

Parameters

  [in] | packet | The associated packet.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | bodyAccel | The register's BodyAccel field.
  [out] | gyro | The register's Gyro field.

void VnUartPacket_parseYawPitchRollTrueInertialAccelerationAndAngularRates | ( | VnUartPacket * | packet,
|  | vec3f * | yawPitchRoll,
|  | vec3f * | inertialAccel,
|  | vec3f * | gyro
| ) |  |

Parses a response from reading the Yaw, Pitch, Roll, True Inertial Acceleration and Angular Rates register.

Parameters

  [in] | packet | The associated packet.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | inertialAccel | The register's InertialAccel field.
  [out] | gyro | The register's Gyro field.

void VnUartPacket_parseYawPitchRollTrueInertialAccelerationAndAngularRatesRaw | ( | char * | packet,
|  | vec3f * | yawPitchRoll,
|  | vec3f * | inertialAccel,
|  | vec3f * | gyro
| ) |  |

Parses a response from reading the Yaw, Pitch, Roll, True Inertial Acceleration and Angular Rates register.

Parameters

  [in] | packet | The associated packet.
  [out] | yawPitchRoll | The register's YawPitchRoll field.
  [out] | inertialAccel | The register's InertialAccel field.
  [out] | gyro | The register's Gyro field.